package cz.muni.fi.dao;

import cz.muni.fi.domain.Feature;
import cz.muni.fi.domain.Period;
import cz.muni.fi.service.FeatureManager;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 9.8.11
 */
public interface FeatureDao {

    public Feature findById(Long id);

    public void save(Feature feature);

    public Feature  update(Feature feature);

    public void delete(Feature feature);

    public List<Feature> getAllFeatures();

    List<Feature> getAllRootFetures();

    /**
     * Get all features that do not have rating in given period.
     *
     * Method is not used.
     *
     * @param period period
     * @return matching features
     */
    public List<Feature> getAllFeaturesWithoutRateInPeriod(Period period);
}
