package cz.muni.fi.dao;

import cz.muni.fi.domain.Feature;
import cz.muni.fi.domain.FeatureRate;
import cz.muni.fi.domain.Organization;
import cz.muni.fi.domain.Period;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 15.8.11
 */
public interface FeatureRateDao {
    public FeatureRate findById(Long id);

    public void save(FeatureRate featureRate);

    public FeatureRate update(FeatureRate featureRate);

    public void delete(FeatureRate featureRate);

    List<FeatureRate> getAllFeatureRates(Period period);

    List<FeatureRate> getAllFeatureRates(Organization organization);

    List<FeatureRate> getAllFeatureRates(Period period, Organization organization);

    List<FeatureRate> findByFeature(Feature feature, Period period);

    List<FeatureRate> findByFeature(Feature feature, Organization organization);

    FeatureRate findByFeature(Feature feature, Period period, Organization organization);
}
