package cz.muni.fi.dao;

import cz.muni.fi.domain.Authority;
import cz.muni.fi.domain.Feature;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 30.10.11
 */
@Repository("authorityDao")
public class JpaAuthorityDao implements AuthorityDao {
    private EntityManager entityManager;

    @PersistenceContext
    public void setEntityManager(EntityManager entityManager) {
        this.entityManager = entityManager;
    }

    @Override
    @Transactional
    public Authority getAuthorityById(Long id) {
         return entityManager.find(Authority.class, id);
    }

    @Override
    @Transactional
    public void delete(Authority authority) {
        Authority aut = entityManager.find(Authority.class,authority.getId());
        entityManager.remove(aut);
    }
}
