package cz.muni.fi.dao;

import cz.muni.fi.domain.FeatureRating;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 12.8.11
 */
@Repository("featureRatingDao")
public class JpaFeatureRatingDao implements FeatureRatingDao {

    private EntityManager entityManager;

    @PersistenceContext
    public void setEntityManager(EntityManager entityManager) {
        this.entityManager = entityManager;
    }

    @Override
    @Transactional
    public FeatureRating findById(Long id) {
        return entityManager.find(FeatureRating.class, id);
    }

    @Override
    @Transactional
    public void save(FeatureRating featureRating) {
        entityManager.persist(featureRating);
    }

    @Override
    @Transactional
    public FeatureRating update(FeatureRating featureRating) {
        return entityManager.merge(featureRating);
    }

    @Override
    @Transactional
    public void delete(FeatureRating featureRating) {
        FeatureRating fr = entityManager.find(FeatureRating.class,featureRating.getId());
        entityManager.remove(fr);
    }

}
