package cz.muni.fi.dao;

import cz.muni.fi.domain.Organization;
import cz.muni.fi.domain.Participant;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 12.8.11
 */
public interface ParticipantDao {
    public Participant findByEmail(String email);

    public void save(Participant participant);

    public Participant update(Participant participant);

    public void delete(Participant participant);

    public List<Participant> getAllStudents();

    public List<Participant> getAllManagers();

    public boolean canBeDeleted(Participant participant);

    Participant findByUco(String studentUco);
    
    Participant findById(Long id);

    List<Participant> getAllManagersFor(Organization org);
}
