package cz.muni.fi.domain;

import org.hibernate.annotations.Cascade;

import javax.persistence.*;
import java.io.Serializable;
import java.util.List;


/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 9.8.11
 */
@Entity
public class Feature implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    private String name;

    private String studentQuestion;

    private String managerQuestion;

    private String hint;

    private String shortName;

    @ManyToOne
    private Feature parent;

    @OneToMany(mappedBy = "parent",cascade = {CascadeType.REMOVE},fetch = FetchType.EAGER)
    private List<Feature> subFeatures;

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentQuestion() {
        return studentQuestion;
    }

    public void setStudentQuestion(String studentQuestion) {
        this.studentQuestion = studentQuestion;
    }

    public String getManagerQuestion() {
        return managerQuestion;
    }

    public void setManagerQuestion(String managerQuestion) {
        this.managerQuestion = managerQuestion;
    }

    public String getHint() {
        return hint;
    }

    public void setHint(String hint) {
        this.hint = hint;
    }

    public String toString() {
        return name;
    }

    public boolean isNew() {
        return (this.id == null);
    }


    public Feature getParent() {
        return parent;
    }

    public void setParent(Feature parent) {
        this.parent = parent;
    }

    public List<Feature> getSubFeatures() {
        return subFeatures;
    }

    public void setSubFeatures(List<Feature> subFeatures) {
        this.subFeatures = subFeatures;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Feature feature = (Feature) o;

        return !(id != null ? !id.equals(feature.id) : feature.id != null);

    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }
}
