package cz.muni.fi.domain;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 9.8.11
 */
@Entity
public class Form {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    private String hash;

    private Date timestamp;

    /**
     * Form state.
     * Supported values: new, opened, saved
     */
    private String state;

    @ManyToOne
    private Period period;

    @OneToMany(cascade = {CascadeType.ALL})
    @OrderBy("number")
    private List<FeatureRating> featureRatingList;

    @ManyToOne
    private Participant owner;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public List<FeatureRating> getFeatureRatingList() {
        return featureRatingList;
    }

    public void setFeatureRatingList(List<FeatureRating> featureRatingList) {
        this.featureRatingList = featureRatingList;
    }

    public Participant getOwner() {
        return owner;
    }

    public void setOwner(Participant owner) {
        this.owner = owner;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Period getPeriod() {
        return period;
    }

    public void setPeriod(Period period) {
        this.period = period;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Form form = (Form) o;

        if (id != null ? !id.equals(form.id) : form.id != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }
}
