package cz.muni.fi.domain;

import javax.persistence.*;
import java.util.Date;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 9.8.11
 */
@Entity
public class FormPair {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    private String state;

    private Date mailTimestamp;

    @OneToOne(cascade = {CascadeType.REMOVE})
    private Form studentsForm;

    @OneToOne(cascade = {CascadeType.REMOVE})
    private Form managersForm;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Form getStudentsForm() {
        return studentsForm;
    }

    public void setStudentsForm(Form studentsForm) {
        this.studentsForm = studentsForm;
    }

    public Form getManagersForm() {
        return managersForm;
    }

    public void setManagersForm(Form managersForm) {
        this.managersForm = managersForm;
    }

    public Date getMailTimestamp() {
        return mailTimestamp;
    }

    public void setMailTimestamp(Date mailTimestamp) {
        this.mailTimestamp = mailTimestamp;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FormPair formPair = (FormPair) o;

        if (id != null ? !id.equals(formPair.id) : formPair.id != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }

    public String toString() {
        return (id == null) ? "null" : id.toString();
    }
}
