package cz.muni.fi.domain;

import javax.persistence.*;
import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 11.08.11
 */
@Entity
public class Participant {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @Column(unique=true)
    private String mail;

    private String name;

    private String surname;

    private String role;

    @OneToMany
   private List<DisagreedFeatureRate> disagreedFeatureRateList;

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<DisagreedFeatureRate> getDisagreedFeatureRateList() {
        return disagreedFeatureRateList;
    }

    public void setDisagreedFeatureRateList(List<DisagreedFeatureRate> disagreedFeatureRateList) {
        this.disagreedFeatureRateList = disagreedFeatureRateList;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Participant that = (Participant) o;

        if (mail != null ? !mail.equals(that.mail) : that.mail != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return mail != null ? mail.hashCode() : 0;
    }

    public String toString() {
        return mail + " (" + surname + ")";
    }

    public String getFullName() {
        return name + " " + surname;
    }
}
