package cz.muni.fi.security;


import cz.muni.fi.domain.Authority;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.GrantedAuthorityImpl;
import org.springframework.security.core.userdetails.User;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.Collection;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 25.10.11
 */
@Service("assembler")
public class Assembler {

    @Transactional(readOnly = true)
    User buildUserFromUserEntity(cz.muni.fi.domain.User userEntity) {

        String username = userEntity.getUserName();
        String password = userEntity.getPassword();
        boolean enabled = userEntity.isEnabled();
        boolean accountNonExpired = userEntity.isEnabled();
        boolean credentialsNonExpired = userEntity.isEnabled();
        boolean accountNonLocked = userEntity.isEnabled();

        Collection<GrantedAuthority> authorities = new ArrayList<GrantedAuthority>();

        for (Authority auth : userEntity.getAuthorities()) {
            authorities.add(new GrantedAuthorityImpl(auth.getRole()));
        }

        User user = new User(username, password, enabled,
                accountNonExpired, credentialsNonExpired, accountNonLocked, authorities);
        return user;
    }
}

