package cz.muni.fi.security;

import cz.muni.fi.dao.UserDao;
import cz.muni.fi.domain.User;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DataAccessException;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 25.10.11
 */
@Service("userDetailsService")
public class UserDetailsServiceImpl implements UserDetailsService {

    @Autowired
    private UserDao dao;

    @Autowired
    private Assembler assembler;

    protected final Log logger = LogFactory.getLog(getClass());

    @Transactional(readOnly = true)
    public UserDetails loadUserByUsername(String username)
            throws UsernameNotFoundException, DataAccessException {
        logger.debug("Attempt to log by " + username);
        UserDetails userDetails = null;
        User userEntity = dao.findById(username);
        if (userEntity == null) {
            logger.debug("User not found.");
            throw new UsernameNotFoundException("user not found");
        }

        return assembler.buildUserFromUserEntity(userEntity);
    }
}
