package cz.muni.fi.service;

import cz.muni.fi.domain.DisagreedFeatureRate;
import cz.muni.fi.domain.Feature;

import java.io.Serializable;
import java.util.List;

/**
 * Manages features.
 *
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 9.8.11
 */
public interface FeatureManager extends Serializable {

    public void addFeature(Feature feature);

    public Feature getFeatureById(Long id);

    public List<Feature> getAllFeatures();

    List<Feature> getAllRootFeatures();

    public void updateFeature(Feature feature);

    public void deleteFeature(Feature feature);

    public boolean canFeatureBeDeleted(Feature feature);

    List<DisagreedFeatureRate> getDisagreementList(Feature feature);
}
