package cz.muni.fi.service;

import cz.muni.fi.domain.Organization;
import cz.muni.fi.exception.AlreadyPresentException;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 12.8.11
 */
public interface OrganizationManager {
    public void addOrganization(Organization organization) throws AlreadyPresentException;

    public void deleteOrganization(Organization org);

    public List<Organization> getAllActiveOrganizations();

    public List<Organization> getAllOrganizations();

    public Organization getById(Long id);

    public void updateOrganization(Organization organization) throws AlreadyPresentException;

    public boolean canBeDeleted(Organization organization);

    Organization getByIdNumber(String s);
}
