package cz.muni.fi.service;

import cz.muni.fi.domain.Period;
import cz.muni.fi.exception.DataIntegrityViolationException;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 21.11.11
 */
public interface PeriodManager {

    void addPeriod(Period period);

    Period updatePeriod(Period period);

    List<Period> getAllPeriods();

    Period getCurrentPeriod() throws DataIntegrityViolationException;

    void deletePeriod(Period period);

    Period getPeriodById(Long id);

     boolean canPeriodBeDeleted(Period period);

    int getNumberOfFormsForPeriod(Period period);

}
