package cz.muni.fi.service;

import cz.muni.fi.domain.Authority;
import cz.muni.fi.domain.Period;
import cz.muni.fi.domain.User;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 26.10.11
 */
public interface UserManager extends Serializable {
    public List<User> getAllUsers();

    public User getById(String id);

    public void addUser(User user);

    public void deleteUser(User user);

    public User updateUser(User user);

    public User addUserAuthority(User user, Authority authority);

    public User removeUserAuthority(User user, Authority authority);

    public Authority getAuthorityById(Long id);

    public List<String> getAvailableRoles();

    void changePassword(String username, String old, String newPass);

    void enable(User user);

    void disable(User user);

    List<User> getAllUsersWithSelectedPeriod(Period period);

    void changeSelectedPeriod(User user, Period period);
}
