package cz.muni.fi.util;

import cz.muni.fi.domain.Authority;
import cz.muni.fi.domain.Feature;
import cz.muni.fi.service.FeatureManager;
import cz.muni.fi.service.UserManager;

import java.beans.PropertyEditor;
import java.beans.PropertyEditorSupport;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 30.10.11
 */
public class AuthorityEditor extends PropertyEditorSupport {
    private final UserManager userManager;

    public AuthorityEditor(UserManager userManager) {
        this.userManager = userManager;
    }

    @Override
    public void setAsText(String text) throws IllegalArgumentException {
        setValue(userManager.getAuthorityById(Long.parseLong(text)));
    }

    @Override
    public String getAsText() {
        Authority s = (Authority) getValue();
        if (s == null) {
            return null;
        } else {
            return s.getId().toString();
        }
    }
}
