package cz.muni.fi.util;

import cz.muni.fi.domain.Feature;
import cz.muni.fi.service.FeatureManager;

import java.beans.PropertyEditorSupport;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 13.8.11
 */
public class FeatureEditor extends PropertyEditorSupport {
    private final FeatureManager featureManager;

    public FeatureEditor(FeatureManager featureManager) {
        this.featureManager = featureManager;
    }

    @Override
    public void setAsText(String text) throws IllegalArgumentException {
        if ("NONE".equals(text)) {
            setValue(null);
        } else {
            setValue(featureManager.getFeatureById(Long.parseLong(text)));
        }
    }

    @Override
    public String getAsText() {
        Feature s = (Feature) getValue();
        if (s == null) {
            return null;
        } else {
            return s.getId().toString();
        }
    }
}
