package cz.muni.fi.util;

import cz.muni.fi.domain.Feature;
import cz.muni.fi.domain.FormPair;
import cz.muni.fi.service.FeatureManager;
import cz.muni.fi.service.FormManager;

import java.beans.PropertyEditorSupport;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 4.3.12
 */
public class FormPairEditor extends PropertyEditorSupport {
    private final FormManager formManager;

    public FormPairEditor(FormManager formManager) {
        this.formManager = formManager;
    }

    @Override
    public void setAsText(String text) throws IllegalArgumentException {
            setValue(formManager.getFormPairById(Long.parseLong(text)));
    }

    @Override
    public String getAsText() {
        FormPair s = (FormPair) getValue();
        if (s == null) {
            return null;
        } else {
            return s.getId().toString();
        }
    }
}
