package cz.muni.fi.util;

import cz.muni.fi.domain.Organization;
import cz.muni.fi.service.OrganizationManager;

import java.beans.PropertyEditorSupport;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 8.11.11
 */
public class OrganizationEditor extends PropertyEditorSupport {

    private final OrganizationManager organizationManager;

    public OrganizationEditor(OrganizationManager organizationManager) {
        this.organizationManager = organizationManager;
    }

    @Override
    public void setAsText(String text) throws IllegalArgumentException {
        if ("NONE".equals(text)) {
            setValue(null);
        } else {
            setValue(organizationManager.getById(Long.valueOf(text)));
        }
    }

    @Override
    public String getAsText() {
        Organization s = (Organization) getValue();
        if (s == null) {
            return null;
        } else {
            return s.getId().toString();
        }
    }
}