package cz.muni.fi.util;

import cz.muni.fi.domain.Participant;
import cz.muni.fi.service.ParticipantManager;

import java.beans.PropertyEditorSupport;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 13.8.11
 */
public class ParticipantEditor extends PropertyEditorSupport {

    private final ParticipantManager participantManager;

    public ParticipantEditor(ParticipantManager participantManager) {
        this.participantManager = participantManager;
    }

    @Override
    public void setAsText(String text) throws IllegalArgumentException {
        if ("NONE".equals(text)) {
            setValue(null);
        } else {
            setValue(participantManager.getById(Long.valueOf(text)));
        }
    }

    @Override
    public String getAsText() {
        Participant s = (Participant) getValue();
        if (s == null) {
            return null;
        } else {
            return s.getId().toString();
        }
    }
}

