package cz.muni.fi.util;

import cz.muni.fi.domain.Period;
import cz.muni.fi.service.PeriodManager;
import cz.muni.fi.wrapper.PeriodWrapper;

import java.beans.PropertyEditorSupport;


/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 27.11.11
 */
public class PeriodEditor extends PropertyEditorSupport {
    private final PeriodManager periodManager;

    public PeriodEditor(PeriodManager periodManager) {
        this.periodManager = periodManager;
    }


    @Override
    public void setAsText(String text) throws IllegalArgumentException {
        if ("NONE".equals(text)) {
            setValue(null);
        } else {
            setValue(periodManager.getPeriodById(Long.parseLong(text)));
        }
    }

    @Override
    public String getAsText() {
        Period s = (Period) getValue();
        if (s == null) {
            return null;
        } else {
            return s.getId().toString();
        }
    }
}
