package cz.muni.fi.util;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Service;

import java.util.Locale;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 20.1.12
 */
@Service("thresholdProvider")
public class ThresholdProvider {

    @Autowired
    private ApplicationContext context;

    private static final String RATING_THRESHOLD = "rating.threshold";

    public int getThreshold() {
        try {
            return Integer.parseInt(context.getMessage(RATING_THRESHOLD, null, "6", Locale.ROOT));
        } catch (NumberFormatException ex) {
            return 6;
        }
    }

}
