package cz.muni.fi.validation;

import cz.muni.fi.domain.Feature;
import org.springframework.util.StringUtils;
import org.springframework.validation.Errors;

/**
 * Validates Feature form.
 *
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 20.8.2011
 */
public class FeatureValidator {
    public void validate(Feature feature, Errors errors) {
        if (!StringUtils.hasLength(feature.getName())) {
            //field name, message key, default message if key not found
            errors.rejectValue("name", "required", "required");
        }
        if (!StringUtils.hasLength(feature.getHint())) {
            errors.rejectValue("hint", "required", "required");
        }
        if (!StringUtils.hasLength(feature.getManagerQuestion())) {
            errors.rejectValue("managerQuestion", "required", "required");
        }
        if (!StringUtils.hasLength(feature.getStudentQuestion())) {
            errors.rejectValue("studentQuestion", "required", "required");
        }
        if (feature.getParent() != null) {
            if (feature.getParent().equals(feature)) {
                errors.rejectValue("parent", "parent.itself", "can't set feature as its parent");
            }
        }
        if (!StringUtils.hasLength(feature.getShortName())) {
            errors.rejectValue("shortName", "required", "required");
        }

    }
}
