package cz.muni.fi.validation;

import cz.muni.fi.wrapper.FormPairFileWrapper;
import org.springframework.validation.BindingResult;
import org.springframework.validation.Errors;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 3.3.12
 */
public class FormPairFileWrapperValidator {
    public void validate(FormPairFileWrapper formPairFileWrapper, Errors errors) {
        if (formPairFileWrapper.getFile().getSize() == 0) {
            errors.rejectValue("file", "file.required", "non empty file is required");
        }
        if (formPairFileWrapper.getFeatureList() == null ||formPairFileWrapper.getFeatureList().size() == 0) {
            errors.rejectValue("featureList", "required", "required");
        }
    }
}
