package cz.muni.fi.validation;

import cz.muni.fi.domain.FeatureRating;
import cz.muni.fi.domain.Form;
import org.springframework.validation.Errors;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 14.8.11
 */
public class FormValidator {
    public void validate(Form form, Errors errors) {
        if (form.getFeatureRatingList() == null) {
            errors.rejectValue("featureRatingList", "required", "required");
        }
        for (FeatureRating fr : form.getFeatureRatingList()) {
            if (fr.getValue() < 0) {
                errors.rejectValue("featureRatingList", "negative", "negative value");
            }
            if (fr.getValue() > 10) {
                errors.rejectValue("featureRatingList", "too.large", "value too large");
            }
        }
    }
}
