package cz.muni.fi.validation;

import org.springframework.util.StringUtils;
import org.springframework.validation.Errors;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 1.11.11
 */
public class PasswordValidator {
    public void validate(String pass1, String pass2, Errors errors) {
        if (!StringUtils.hasLength(pass1)) {
            errors.rejectValue("password", "required", "required");
        } else {
            if (pass1.length() < 5) {
                errors.rejectValue("password", "required.length", "too short");
            } else {
                if (!pass1.equals(pass2)) {
                    errors.rejectValue("password", "password.nomatch", "passwords must match");
                    errors.rejectValue("passwordConfirm","empty.line"," ");
                }
            }
        }
    }
}
