package cz.muni.fi.validation;

import cz.muni.fi.domain.Period;
import org.springframework.util.StringUtils;
import org.springframework.validation.Errors;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 24.11.11
 */
public class PeriodValidator {
    public void validate(Period period, Errors errors) {
        if (!StringUtils.hasLength(period.getDescription())) {
            errors.rejectValue("description", "required", "required");
        }
        if (errors.hasFieldErrors("year")) {
            return;
        }
        if (!StringUtils.hasLength(String.valueOf(period.getYear()))) {
            errors.rejectValue("year", "required", "required");
        } else {
            if (period.getYear() < 2000) {
                errors.rejectValue("year", "year.low", "Too low.");
            }

        }
    }
}
