package cz.muni.fi.validation;

import cz.muni.fi.domain.User;
import org.springframework.util.StringUtils;
import org.springframework.validation.Errors;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 28.10.11
 */
public class UserValidator {
    public void validate(User user, Errors errors) {
        if (!StringUtils.hasLength(user.getUserName())) {
            errors.rejectValue("user.userName", "required", "required");
        } else {
            if (!user.getUserName().matches("^[a-z0-9_-]{3,15}$")) {
                errors.rejectValue("user.userName", "username.invalid", "invalid username");
            }
        }
        if (!StringUtils.hasLength(user.getName())) {
            errors.rejectValue("user.name", "required", "required");
        }

        if (!user.getEmail().matches(
                "^[\\w\\-]+(\\.[\\w\\-]+)*@([A-Za-z0-9-]+\\.)+[A-Za-z]{2,4}$")) {
            errors.rejectValue("user.email", "bad.mail", "Invalid mail.");
        }
    }
}
