package cz.muni.fi.view;

import org.jfree.chart.renderer.category.BarRenderer;

import java.awt.*;

/**
 * This is a bar renderer of JFreeChart bars.
 * Renders bars of the same category of different colors.
 *
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 21.10.11
 */
public class ColorBarRenderer extends BarRenderer {

    private Paint[] colors;

    /**
     * Constructor.
     *
     * @param paints paints to be used for bars
     */
    public ColorBarRenderer(Paint[] paints) {
        this.colors = paints;
    }

    /**
     * Returns the paint for an item.  Overrides the default behaviour inherited from
     * AbstractSeriesRenderer.
     *
     * @param row    the series.
     * @param column the category.
     * @return The item color.
     */
    @Override
    public Paint getItemPaint(final int row, final int column) {
        return this.colors[column % this.colors.length];
    }
}
