package cz.muni.fi.view;

import com.lowagie.text.DocumentException;
import com.lowagie.text.Font;
import com.lowagie.text.pdf.BaseFont;

import java.io.IOException;

/**
 * Provides various fonts used in the pdf document.
 *
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 21.10.11
 */
public class FontsProvider {
    private static BaseFont baseFont() {
        BaseFont font = null;
        try {
            font = BaseFont.createFont("arial.ttf", BaseFont.CP1250, BaseFont.EMBEDDED);
        } catch (DocumentException e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        } catch (IOException e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }
        return font;
    }

    /**
     * Provides title fonts
     *
     * @return 18p font
     */
    public static Font titleFont() {
        Font font = new Font(baseFont(), 22, Font.BOLD);
        return font;
    }

    /**
     * Provides title fonts
     *
     * @return 18p font
     */
    public static Font subTitleFont() {
        Font font = new Font(baseFont(), 14, Font.ITALIC);
        return font;
    }

}
