package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Feature;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 16.8.11
 */
public class FeatureRateWrapper implements Comparable<FeatureRateWrapper> {

    private Feature feature;

    private int value;

    public String getColor() {
        float ratio = -9/4;
        float impVal = (ratio*Math.abs(getValue()-50))*2;
        int light = Math.round(impVal) + 250;
        String color = getValue()>50?"rgb(" + light + ",255,100)":"rgb(255," + light + ",100)";
        return color;
    }

     public String getOneColor() {
        float ratio = -9/4;
        float impVal = (ratio*Math.abs(getValue()));
        int light = Math.round(impVal) + 250;
        String color = "rgb(255," + light + ",100)";
        return color;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public Feature getFeature() {
        return feature;
    }

    public void setFeature(Feature feature) {
        this.feature = feature;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FeatureRateWrapper that = (FeatureRateWrapper) o;

        if (feature != null ? !feature.equals(that.feature) : that.feature != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return feature != null ? feature.hashCode() : 0;
    }

    @Override
    public int compareTo(FeatureRateWrapper o) {
        return o.getValue() - this.getValue();
    }
}
