package cz.muni.fi.wrapper;

/**
 * Class used for storing error/information messages in session.
 *
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 6.1.12
 */
public class SessionMessageWrapper {

    /**
     * Css class to render message.
     */
    private String cssClass;

    /**
     * Key of the message from resource bundles.
     */
    private String key;

    /**
     * If the messaged has been already seen.
     */
    private boolean seen = false;

    private String[] param = new String[0];

    public SessionMessageWrapper(String cssClass, String text) {
        this.cssClass = cssClass;
        this.key = text;
    }

    public String[] getParam() {
        return param;
    }

    public void setParam(String[] param) {
        this.param = param;
    }

    public boolean isSeen() {
        return seen;
    }

    public void setSeen(boolean seen) {
        this.seen = seen;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getCssClass() {
        return cssClass;
    }

    public void setCssClass(String cssClass) {
        this.cssClass = cssClass;
    }
}
