<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<script type="text/javascript">
    function hidePasswordContainer() {
        $('#resetPasswordContainer').toggle();
    }

    $(document).ready(function () {
        if (${newUser}) {
            hidePasswordContainer();
        }
    });

</script>

<c:choose>
    <c:when test="${newUser}">
        <c:set var="method" value="post"/>
    </c:when>
    <c:otherwise>
        <c:set var="method" value="put"/>
    </c:otherwise>
</c:choose>


<div id="content">
    <div class="back buttonTop">
        <a href="../admin">
            <fmt:message key="back"/>
        </a>
    </div>
    <form:form modelAttribute="userAuthorityWrapper" method="${method}">
        <div class="formField" style="float:left">
            <div class="formLine formHeader">
                <h3 style="margin:1px;color:inherit;text-shadow:inherit">
                    <c:choose>
                        <c:when test="${newUser}">
                            <fmt:message key="user.new"/>
                        </c:when>
                        <c:otherwise>
                            <fmt:message key="user.edit"/>
                        </c:otherwise>
                    </c:choose>
                </h3>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:45%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="name"/>
                        <form:errors path="user.name" cssClass="errors"/>
                    </div>
                    <form:input path="user.name" style="width:80%" maxlength="50"/>
                </div>
                <div class="formValue" style="width:35%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="user"/>
                        <form:errors path="user.userName" cssClass="errors"/>
                    </div>
                    <form:input path="user.userName" style="width:100%" maxlength="50"
                                disabled="${not newUser}"/>
                </div>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:45%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="mail"/>
                        <form:errors path="user.email" cssClass="errors"/>
                    </div>
                    <form:input path="user.email" style="width:80%" maxlength="50"/>
                </div>
                <div class="formValue" style="width:35%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="enabled"/>
                    </div>
                    <form:checkbox path="user.enabled"/>
                </div>
            </div>
            <c:choose>
                <c:when test="${not newUser}">
                    <div class="tiles" style="width:88%;background-color:#FAFAFA;margin-bottom:0">
                        <div class="formLine">
                            <div class="formValue" style="width:35%;margin:0 ">
                                <div class="formFieldDescription add-buttons">
                                    <a class="resetPasswordLink" onclick="hidePasswordContainer()">
                                        <fmt:message key="password.reset"/>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="formLine" id="resetPasswordContainer">
                            <div class="formValue" style="width:45%; ">
                                <div class="formFieldDescription">
                                    <fmt:message key="password"/>
                                    <form:errors path="password" cssClass="errors"/>
                                </div>
                                <form:password path="password" style="width:80%" maxlength="50"/>
                            </div>
                            <div class="formValue" style="width:35%; ">
                                <div class="formFieldDescription">
                                    <fmt:message key="password.confirm"/>
                                    <form:errors path="passwordConfirm" cssClass="errors"/>
                                </div>
                                <form:password path="passwordConfirm" style="width:100%" maxlength="50"/>
                            </div>
                        </div>
                    </div>
                </c:when>
                <c:otherwise>
                    <div class="formLine" id="resetPasswordContainer">
                        <div class="formValue" style="width:45%; ">
                            <div class="formFieldDescription">
                                <fmt:message key="password"/>
                                <form:errors path="password" cssClass="errors"/>
                            </div>
                            <form:password path="password" style="width:80%" maxlength="50" showPassword="true"/>
                        </div>
                        <div class="formValue" style="width:35%; ">
                            <div class="formFieldDescription">
                                <fmt:message key="password.confirm"/>
                                <form:errors path="passwordConfirm" cssClass="errors"/>
                            </div>
                            <form:password path="passwordConfirm" style="width:100%" maxlength="50" showPassword="true"/>
                        </div>
                    </div>
                </c:otherwise>
            </c:choose>


            <div class="formLine" style="margin-left:39%">
                <div class="formValue submit">
                    <c:choose>
                        <c:when test="${newUser}">
                            <input type="submit" value="<fmt:message key="user.add"/>"/>
                        </c:when>
                        <c:otherwise>
                            <input type="submit" value="<fmt:message key="user.edit"/>"/>
                        </c:otherwise>
                    </c:choose>
                </div>
            </div>
        </div>

        <c:if test="${not empty userAuthorityWrapper.user.authorities}">
            <div class="formField" style="float:left">
                <div class="formFieldDescription" style="float:left; padding:10px 10px 0 10px">
                    <fmt:message key="roles"/>
                </div>
                <div class="clear"></div>
                <ul class="roleList">
                    <c:forEach var="role" items="${userAuthorityWrapper.user.authorities}">
                        <li>
                            <div class="roleText">
                                <c:out value="${role.role}"/>
                            </div>
                            <c:choose>
                                <c:when test="${newUser}">
                                    <spring:url value="/admin/new/delete/{roleId}" var="delUrl">
                                        <spring:param name="roleId" value="${role.role}"/>
                                    </spring:url>
                                </c:when>
                                <c:otherwise>
                                    <spring:url value="delete/role/{roleId}" var="delUrl">
                                        <spring:param name="roleId" value="${role.id}"/>
                                    </spring:url>
                                </c:otherwise>
                            </c:choose>

                            <a href="${fn:escapeXml(delUrl)}">
                                <div class="delPicture">
                                </div>
                            </a>

                            <div class="clear">
                            </div>
                        </li>
                    </c:forEach>
                </ul>
            </div>
        </c:if>

        <c:if test="${not empty userAuthorityWrapper.availableRoles}">
            <div class="formField" style="float:left">
                <div class="formLine">
                    <div class="formValue" style="width:35%">
                        <div class="formFieldDescription">
                            <fmt:message key="role.add"/>
                        </div>
                        <form:select path="authority.role" style="width:100%">
                            <form:option value="NONE"><fmt:message key="select"/>
                            </form:option>
                            <form:options items="${userAuthorityWrapper.availableRoles}"/>
                        </form:select>
                    </div>
                    <div class="formValue" style="width:35%">
                        <div class="submit" style="padding-top:10px">
                            <input type="submit" value="<fmt:message key="role.add"/>"/>
                        </div>
                    </div>
                </div>
            </div>
        </c:if>

        <div class="clear"></div>
    </form:form>
</div>


<%@ include file="/WEB-INF/jsp/footer.jsp" %>
