<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<h2>
    <fmt:message key="admin"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href=".">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
        <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:20px;">
            <fmt:message key="${sessionMessage.key}"/>
        </div>
    </c:if>

    <div class="round">
        <table class="table1 roundedTable" style="width:100%">
            <thead>
            <tr>

                <th>
                    <fmt:message key="name"/>
                </th>
                <th>
                    <fmt:message key="user"/>
                </th>
                <th>
                    <fmt:message key="mail"/>
                </th>
                <th style="text-align:center;">
                    <fmt:message key="enabled"/>
                </th>
                <th>
                    <fmt:message key="roles"/>
                </th>
                <th><fmt:message key="edit"/>
                </th>
                <th style="text-align:center;">
                    <fmt:message key="delete"/>
                </th>

            </tr>
            </thead>
            <tbody>
            <c:forEach var="user" items="${model.users}">
                <spring:url value="admin/{userId}" var="ownerUrl">
                    <spring:param name="userId" value="${user.userName}"/>
                </spring:url>
                <tr>
                    <td>
                        <c:out value="${user.name}"/>
                    </td>
                    <td>
                        <c:out value="${user.userName}"/>
                    </td>
                    <td>
                        <c:out value="${user.email}"/>
                    </td>

                    <td style="text-align:center;">
                        <c:if test="${user.enabled}">
                            <spring:url value="static/images/checked.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </c:if>
                    </td>
                    <td>
                        <c:out value="${custom:authorityList(user.authorities)}"/>

                    </td>
                    <td>
                        <a href="${fn:escapeXml(ownerUrl)}" style="padding:3px 1px 0;">
                            <spring:url value="static/images/edit.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </a>
                    </td>
                    <td style="text-align:center;">
                        <spring:url value="admin/delete/{userId}" var="delUrl">
                            <spring:param name="userId" value="${user.userName}"/>
                        </spring:url>
                        <a href="${fn:escapeXml(delUrl)}" style="padding:3px 1px 0;"
                           onclick="return confirm('<fmt:message key="user.delete.confirm"/>');">
                        <spring:url value="static/images/delete.png" var="imageUrl"/>
                        <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </a>
                    </td>
                </tr>
            </c:forEach>
            </tbody>
        </table>
    </div>


    <ul class="tiles wide" style="margin-left:5%;width:88%">
        <li class="tilesButton" style="margin-left:8%; width:30%;">
            <spring:url value="admin/new" var="addUrl">
            </spring:url>
            <a href="${fn:escapeXml(addUrl)}">
                <fmt:message key="user.add"/>
            </a>
        </li>
        <div class="clear"></div>
    </ul>
    <div class="clear"></div>

</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>
