<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>
<c:choose>
    <c:when test="${feature.isNew()}">
        <c:set var="method" value="post"/>
    </c:when>
    <c:otherwise>
        <c:set var="method" value="put"/>
    </c:otherwise>
</c:choose>

<div id="content">
    <div class="back buttonTop">
        <c:choose>
        <c:when test="${feature.isNew()}">
        <a href="list">
            </c:when>
            <c:otherwise>
            <a href="../list">
                </c:otherwise>
                </c:choose>
                <fmt:message key="back"/>
            </a>
    </div>

    <div class="formField" style="float:left">
        <div class="formLine formHeader">
            <h3 style="margin:1px;color:inherit;text-shadow:inherit">
                <c:choose>
                    <c:when test="${feature.isNew()}">
                        <fmt:message key="feature.new"/>
                    </c:when>
                    <c:otherwise>
                        <fmt:message key="feature.edit"/>
                    </c:otherwise>
                </c:choose>
            </h3>
        </div>


        <form:form modelAttribute="feature" method="${method}">
            <div class="formLine">
                <div class="formValue" style="width:95%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="name"/>
                        <form:errors path="name" cssClass="errors"/>
                    </div>
                    <form:input path="name" style="width:100%" maxlength="100"/>
                </div>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:45%;">
                    <div class="formFieldDescription">
                        <fmt:message key="feature.shortName"/>
                        <form:errors path="shortName" cssClass="errors"/>
                    </div>
                    <form:input path="shortName" style="width:100%" maxlength="25"/>
                </div>
                <div class="formValue" style="width:45%;">
                    <div class="formFieldDescription">
                        <fmt:message key="feature.parent"/>
                        <form:errors path="parent" cssClass="errors"/>
                    </div>
                    <form:select path="parent" style="width:100%">
                        <form:option value="NONE">
                            <fmt:message key="none"/></form:option>
                        <form:options items="${featureParentList}" itemLabel="shortName"/>
                    </form:select>
                </div>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:95%; ">
                    <div class="formFieldDescription">
                        <a class="tooltip tooltipSimple" style="border-color:black">
                            <fmt:message key="hint"/>
                         <span class="classic">
                            <fmt:message key="hint.description"/>
                         </span>

                        </a>

                        <form:errors path="hint" cssClass="errors"/>
                    </div>
                    <form:input path="hint" style="width:100%" maxlength="100"/>
                </div>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:95%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="studentQ"/>
                        <form:errors path="studentQuestion" cssClass="errors"/>
                    </div>
                    <form:textarea path="studentQuestion" style="width:100%" rows="2"/>
                </div>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:95%;">
                    <div class="formFieldDescription">
                        <fmt:message key="managerQ"/>
                        <form:errors path="managerQuestion" cssClass="errors"/>
                    </div>
                    <form:textarea path="managerQuestion" style="width:100%" rows="2"/>
                </div>
            </div>


            <c:if test="${not empty feature.subFeatures}">
                <div class="formLine">
                    <div class="formValue" style="width:95%;margin-bottom:4px">
                        <div class="formFieldDescription">
                            <a class="tooltip tooltipSimple" style="border-color:black">
                                <fmt:message key="subfeatures"/>
                                <span class="classic">
                                   <fmt:message key="subfeatures.hint"/>
                                </span>
                            </a>
                        </div>

                    </div>
                </div>
                <c:forEach var="sub" items="${feature.subFeatures}">
                    <div class="formLine">
                        <div class="detailTitle" style="width:87%;text-align:left;margin:0 0 0 4%;">
                            <div style="font-size:inherit;padding:1px 3% 1px;font-weight:normal;width:94%;float:left;">
                                <spring:url value="/features/{fid}/edit" var="formUrl">
                                    <spring:param name="fid" value="${sub.id}"/>
                                </spring:url>
                                <a href="${fn:escapeXml(formUrl)}"
                                   style="font-size:inherit;padding:5px 3% 5px;font-weight:normal;width:100%;float:left;margin-bottom:3px">
                                    <c:out value="${sub.name}"/>
                                </a>
                            </div>
                        </div>
                    </div>
                </c:forEach>
            </c:if>


            <div class="formLine" style="margin-left:30%">
                <div class="formValue submit">
                    <c:choose>
                        <c:when test="${feature.isNew()}">
                            <input type="submit" value="<fmt:message key="addFeature"/>"/>
                        </c:when>
                        <c:otherwise>
                            <input type="submit" value="<fmt:message key="updateFeature"/>"/>
                        </c:otherwise>
                    </c:choose>
                </div>
            </div>
        </form:form>
    </div>
    <div class="clear"></div>
</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>