<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<h2>
    <fmt:message key="features"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="..">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
        <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:20px;">
            <fmt:message key="${sessionMessage.key}"/>
        </div>
    </c:if>


    <c:if test="${not empty model.features}">
        <div class="round">
            <table class="table1 roundedTable" style="width:100%">
                <thead>
                <tr>
                    <th style="width:60%">
                        <fmt:message key="name"/>
                    </th>
                    <th style="width:15%">
                        <fmt:message key="subfeatures"/>
                    </th>
                    <th style="width:15%">
                        <fmt:message key="edit"/>
                    </th>
                    <th>
                        <fmt:message key="delete"/>
                    </th>
                </tr>
                </thead>
                <tbody>
                <c:forEach var="wrapper" items="${model.features}">
                    <tr>
                        <td>
                            <spring:url value="{featureId}" var="ownerUrl">
                                <spring:param name="featureId" value="${wrapper.feature.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(ownerUrl)}">
                                <c:out value="${wrapper.feature.name}"/>
                            </a>
                        </td>
                        <td>
                            <c:if test="${not empty wrapper.feature.subFeatures}">

                                <c:out value="${fn:length(wrapper.feature.subFeatures)}"/>
                            </c:if>
                        </td>
                        <td>
                            <spring:url value="{featureId}/edit" var="editUrl">
                                <spring:param name="featureId" value="${wrapper.feature.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(editUrl)}" style="padding:3px 1px 0;">
                                <spring:url value="/static/images/edit.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </a>
                        </td>
                        <td>
                            <c:choose>
                                <c:when test="${wrapper.canBeDeleted}">
                                    <spring:url value="/features/delete/{featureId}" var="delUrl">
                                        <spring:param name="featureId" value="${wrapper.feature.id}"/>
                                    </spring:url>
                                    <a href="${fn:escapeXml(delUrl)}" style="padding:3px 1px 0;"
                                       onclick="return confirm('<fmt:message key="feature.delete.confirm"/>');">
                                    <spring:url value="/static/images/delete.png" var="imageUrl"/>
                                    <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                                    </a>
                                </c:when>
                                <c:otherwise>
                                    <spring:url value="/static/images/delete-gray.png" var="imageUrl"/>
                                    <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                                </c:otherwise>
                            </c:choose>
                        </td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </div>
    </c:if>
    <ul class="tiles wide">
        <li class="tilesButton" style="margin-left:8%; width:30%;">
            <spring:url value="new" var="addUrl">
            </spring:url>
            <a href="${fn:escapeXml(addUrl)}">
                <fmt:message key="addNew"/>
            </a>
        </li>
        <div class="clear"></div>
    </ul>
    <div class="clear"></div>
<%@ include file="/WEB-INF/jsp/footer.jsp" %>