<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<h2>
    <fmt:message key="feature.info"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="list">
            <fmt:message key="back"/>
        </a>
    </div>


    <div class="detailField" style="padding-bottom:15px">
        <c:if test="${not empty feature.parent}">
            <div class="detailLine">
                <div class="detailTitle" style="text-align:left; width: 99%;">
                    <fmt:message key="feature.parent"/>:
                    <spring:url value="/features/{fid}" var="formUrl">
                        <spring:param name="fid" value="${feature.parent.id}"/>
                    </spring:url>
                    <a href="${fn:escapeXml(formUrl)}"
                       style="font-size:inherit; padding:5px; font-weight:normal; margin-left:15px;margin-top:5px;margin-right:13px;display:block;">
                        <c:out value="${feature.parent.name}"/>
                    </a>
                </div>
            </div>
        </c:if>

        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="name"/>:
            </div>
            <div class="detailValue">
                <c:out value="${feature.name}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="feature.shortName"/>:
            </div>
            <div class="detailValue">
                <c:out value="${feature.shortName}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="hint"/>:
            </div>
            <div class="detailValue">
                <c:out value="${feature.hint}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="studentQ"/>:
            </div>
            <div class="detailValue">
                <c:out value="${feature.studentQuestion}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="managerQ"/>:
            </div>
            <div class="detailValue">
                <c:out value="${feature.managerQuestion}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="disagreements.count"/>:
            </div>
            <div class="detailValue">
                <c:out value="${disagreements}"/>
                </div>
            <div class="detailTitle" style="margin-left: 20px">
                <c:if test="${disagreements > 0}">
                    <spring:url value="/disagreements/feature/{featureId}" var="disUrl">
                        <spring:param name="featureId" value="${feature.id}"/>
                    </spring:url>
                    <a href="${disUrl}" style="font-size:inherit;padding:5px;font-weight:normal;">
                        <fmt:message key="display"/>
                    </a>
                </c:if>
            </div>
        </div>
        <c:if test="${not empty feature.subFeatures}">
            <div class="detailLine">
                <div class="detailTitle">
                    <fmt:message key="subfeatures"/>:
                </div>
            </div>
            <c:forEach var="sub" items="${feature.subFeatures}">
                <spring:url value="/features/{fid}" var="formUrl">
                    <spring:param name="fid" value="${sub.id}"/>
                </spring:url>

                <div class="detailLine">
                    <div class="detailTitle" style="width:87%;text-align:left;margin-left:4%;">
                        <a href="${fn:escapeXml(formUrl)}"
                           style="font-size:inherit;padding:5px 3% 5px;font-weight:normal;width:100%;float:left;">
                            <c:out value="${sub.name}"/>
                        </a>
                    </div>
                </div>
            </c:forEach>
        </c:if>
    </div>
    <div class="clear"></div>
    <ul class="tiles" style="width:88%;margin-left:5%">
        <li class="tilesButton" style="margin-left:8%; width:27%;"><spring:url value="{featureId}/edit" var="editUrl">
            <spring:param name="featureId" value="${feature.id}"/>
        </spring:url>
            <a href="${fn:escapeXml(editUrl)}">
                <fmt:message key="editFeature"/>
            </a>
        </li>
    </ul>
    <div class="clear"></clear>
    </div>

    <%@ include file="/WEB-INF/jsp/footer.jsp" %>
