<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<script type="text/javascript">
    /**
     * When feature is unchecked - uncheck all sub features.
     */
    function featureChangeHandler(event) {

        var isChecked = $(this).is(':checked');
        if (isChecked) {
            return;
        }

        // Find container
        $(this).parent(".featureContainer").each(function () {
            // Find sub features within container
            $(this).find(".subFeatureCheck").each(function () {
                $(this).attr("checked", false);
            });
        });
    }

    /**
     * When subfeature was checked - check also parent feature
     */
    function subFeatureChangeHandler(event) {
        var isChecked = $(this).is(':checked');
        if (!isChecked) {
            return;
        }

        // Find container
        $(this).closest(".featureContainer").each(function () {
            // Find feature within container
            $(this).find(".featureCheck").each(function () {
                $(this).attr("checked", true);
            });
        });

    }

    /**
     * Add listeners to change event on feature and subfeature to handle check/uncheck operations.
     */
    $("document").ready(function () {
        $(".featureCheck").change(featureChangeHandler);
        $(".subFeatureCheck").change(subFeatureChangeHandler);
        $('#upload').customFileInput();
        $('.customfile-button').html('<fmt:message key="file.browse"/>');
        //  var value =  $('#upload').val();
        $('.customfile-feedback').html('');
        $("#generateForm").submit(formSubmitHandler);

    });


</script>
<c:set var="method" value="post"/>

<div id="content">
    <div class="back buttonTop">
        <a href="list">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:choose>
        <c:when test="${not empty allFeatures}">
            <form:form modelAttribute="formPairFileWrapper" method="${method}" enctype="multipart/form-data"
                       id="generateForm">
                <div class="formField" style="float:left">
                    <div class="formLine formHeader">
                        <h3 style="margin:1px;color:inherit;text-shadow:inherit">
                            <fmt:message key="genNewPair.bulk"/>
                        </h3>
                    </div>
                    <div class="formLine" style="padding-left: 5%;padding-right: 5%;">
                        <div class="formValue" style="width:87%; ">
                            <div id="uploadFileForm" style="display: block;">
                                <div style="text-align:left">
                                    <p>
                                        <fmt:message key="forms.import.format"/><br/>
                                        <fmt:message key="line.example"/><br/>
                                        <span style="font-family: monospace; font-size: 12px;">234567;123456789</span>
                                    </p>
                                    <c:set var="fileErrors"><form:errors path="file"/></c:set>
                                    <c:if test="${not empty fileErrors}">
                                        <div class="errors" style="float: left; margin-bottom:10px;">
                                            <c:out value="${fileErrors}" escapeXml="false"/>
                                            <br/>
                                        </div>
                                    </c:if>
                                    <form:input path="file" id="upload" type="file" size="40"/>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class=" formLine" style="padding-left: 5%;padding-right: 5%;">
                        <div class="formValue" style="width:87%; ">
                            <div class="formFieldDescription">
                                <a class="tooltip tooltipSimple" style="border-color:black">
                                    <fmt:message key="features"/>
                                 <span class="classic">
                                     <fmt:message key="features.hint"/>
                                 </span>
                                </a>
                                <form:errors path="featureList" cssClass="errors"/>

                            </div>
                            <div class="formBox">

                                <c:forEach items="${allFeatures}" var="oneFeature">
                                    <div class="featureContainer">
                                        <form:checkbox path="featureList" value="${oneFeature}"
                                                       id="featureCheck${oneFeature.id}" class="featureCheck"/>
                                        <c:out value="${oneFeature.name}"/>
                                        <c:if test="${not empty oneFeature.subFeatures}">
                                            <c:forEach items="${oneFeature.subFeatures}" var="l2Feature">
                                                <div style="margin-left:5%">
                                                    <form:checkbox path="featureList" value="${l2Feature}"
                                                                   class="subFeatureCheck"/>
                                                    <c:out value="${l2Feature.name}"/>
                                                </div>
                                            </c:forEach>
                                        </c:if>
                                    </div>
                                </c:forEach>
                            </div>
                        </div>
                    </div>
                    <div class="formLine" style="margin-left:17%">
                        <div class="formValue submit">
                            <input type="submit" value="<fmt:message key="genNewPair.bulk.file"/>"/>
                        </div>
                    </div>
                </div>

                <div class="clear"></div>
            </form:form>
        </c:when>
        <c:otherwise>
            <c:if test="${empty allFeatures}">
                <div class="errorMessage" style="margin-top:20px;">
                    <fmt:message key="features.empty"/>
                </div>
            </c:if>
        </c:otherwise>
    </c:choose>
</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>