<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<script type="text/javascript">
    /**
     * When feature is unchecked - uncheck all sub features.
     */
    function featureChangeHandler(event) {

        var isChecked = $(this).is(':checked');
        if (isChecked) {
            return;
        }

        // Find container
        $(this).parent(".featureContainer").each(function () {
            // Find sub features within container
            $(this).find(".subFeatureCheck").each(function () {
                $(this).attr("checked", false);
            });
        });
    }

    /**
     * When subfeature was checked - check also parent feature
     */
    function subFeatureChangeHandler(event) {
        var isChecked = $(this).is(':checked');
        if (!isChecked) {
            return;
        }

        // Find container
        $(this).closest(".featureContainer").each(function () {
            // Find feature within container
            $(this).find(".featureCheck").each(function () {
                $(this).attr("checked", true);
            });
        });

    }

    /**
     * Add listeners to change event on feature and subfeature to handle check/uncheck operations.
     */
    $("document").ready(function () {
        $(".featureCheck").change(featureChangeHandler);
        $(".subFeatureCheck").change(subFeatureChangeHandler);
    });


</script>
<c:set var="method" value="post"/>

<div id="content">
    <div class="back buttonTop">
        <a href="list">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:choose>
        <c:when test="${not empty studentList and not empty managerList and not empty allFeatures}">
            <form:form modelAttribute="formPairWrapper" method="${method}">
                <div class="formField" style="float:left">
                    <div class="formLine formHeader">
                        <h3 style="margin:1px;color:inherit;text-shadow:inherit">
                            <fmt:message key="genNewPair"/>
                        </h3>
                    </div>
                    <div class="formLine" style="padding-left: 5%;padding-right: 5%;">
                        <div class="formValue" style="width:35%; ">
                            <div class="formFieldDescription">
                                <fmt:message key="student"/>
                                <form:errors path="student" cssClass="errors"/>
                            </div>
                            <form:select path="student" style="width:100%">
                                <form:option value="NONE">
                                    <fmt:message key="select"/></form:option>
                                <form:options items="${studentList}" itemLabel="fullName"/>
                            </form:select>
                        </div>
                        <div class="formValue" style="width:45%;float:right;margin-right:12%">
                            <div class="formFieldDescription">
                                <fmt:message key="manager"/>
                                <form:errors path="manager" cssClass="errors"/>
                            </div>
                            <form:select path="manager" style="width:100%">
                                <form:option value="NONE">
                                    <fmt:message key="select"/>
                                </form:option>
                                <form:options items="${managerList}" itemLabel="nameWithOrg"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="formLine" style="padding-left: 5%;padding-right: 5%;">
                        <div class="formValue" style="width:87%; ">
                            <div class="formFieldDescription">
                                <a class="tooltip tooltipSimple" style="border-color:black">
                                    <fmt:message key="features"/>
                                 <span class="classic">
                                     <fmt:message key="features.hint"/>
                                 </span>
                                </a>
                                <form:errors path="featureList" cssClass="errors"/>

                            </div>
                            <div class="formBox">

                                <c:forEach items="${allFeatures}" var="oneFeature">
                                    <div class="featureContainer">
                                        <form:checkbox path="featureList" value="${oneFeature}"
                                                       id="featureCheck${oneFeature.id}" class="featureCheck"/>
                                        <c:out value="${oneFeature.name}"/>
                                        <c:if test="${not empty oneFeature.subFeatures}">
                                            <c:forEach items="${oneFeature.subFeatures}" var="l2Feature">
                                                <div style="margin-left:5%">
                                                    <form:checkbox path="featureList" value="${l2Feature}"
                                                                   class="subFeatureCheck"/>
                                                    <c:out value="${l2Feature.name}"/>
                                                </div>
                                            </c:forEach>
                                        </c:if>
                                    </div>
                                </c:forEach>
                            </div>
                        </div>
                    </div>
                    <div class="formLine" style="margin-left:25%">
                        <div class="formValue submit">
                            <input type="submit" value="<fmt:message key="genNewPair"/>"/>
                        </div>
                    </div>
                </div>
                <div class="clear"></div>
            </form:form>
        </c:when>
        <c:otherwise>
            <fmt:message key="form.no.data"/>
            <c:if test="${empty studentList}">
                <div class="errorMessage" style="margin-top:20px;">
                    <fmt:message key="students.empty"/>
                </div>
            </c:if>
            <c:if test="${empty managerList}">
                <div class="errorMessage" style="margin-top:20px;">
                    <fmt:message key="managers.empty"/>
                </div>
            </c:if>
            <c:if test="${empty allFeatures}">
                <div class="errorMessage" style="margin-top:20px;">
                    <fmt:message key="features.empty"/>
                </div>
            </c:if>
        </c:otherwise>
    </c:choose>
</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>