<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>


<script type="text/javascript">
    function enableReSend() {
        $('.mailLinkClass').toggle();
        $('#reSendWarning').toggle();
    }
</script>

<h2>
    <fmt:message key="formPairs"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="..">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
        <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:0px;">
            <fmt:message key="${sessionMessage.key}">
                <c:forEach var="paramIt" items="${sessionMessage.param}">
                    <fmt:param value="${paramIt}"/>
                </c:forEach>
            </fmt:message>
        </div>
    </c:if>

    <c:if test="${not empty model.pairs}">
        <ul class="tiles hoverableInverse" style="width:88%;margin-left:5%">
            <li style="margin-left:5%;font-weight:normal">
                <a class="resetPasswordLink" onclick="enableReSend()">
                    <fmt:message key="resend.enable"/>
                </a>

            </li>
            <li style="margin-left:5%;font-weight:normal; float:right; margin-right: 5%;">
                <spring:url value="massmail" var="addUrl">
                </spring:url>
                <a class="resetPasswordLink" href="${fn:escapeXml(addUrl)}">
                    <fmt:message key="mass.mail"/>
                </a>

            </li>
            <div class="clear"></div>
            <div id="reSendWarning" style="display:none; padding-bottom:20px;">
                <li style="margin-left:5%;background-color:#FFFF80;width:87%;" class="errorMessage">
                    <fmt:message key="resend.warning"/>
                </li>
            </div>
        </ul>
        <div class="clear"></div>

        <div class="round">
            <table class="table1 roundedTable" style="width:100%">
                <thead>
                <tr>
                    <th style="width:25%">
                        <fmt:message key="studentF"/>
                    </th>
                    <th style="width:30%">
                        <fmt:message key="managerF"/>
                    </th>
                    <th style="width:15%;padding-left:2px;padding-right:2px">
                        <a class="tooltip">
                            <fmt:message key="send.mail"/>
                         <span class="classic">
                            <fmt:message key="send.description"/>
                         </span>
                        </a>
                    </th>
                    <th>
                        <fmt:message key="mail.sent"/>
                    </th>
                    <th>
                        <fmt:message key="state"/>
                    </th>
                    <th>
                        <fmt:message key="delete"/>
                    </th>
                </tr>
                </thead>
                <tbody>
                <c:forEach var="pair" items="${model.pairs}">
                    <tr>
                        <td>
                            <spring:url value="/forms/{formId}" var="ownerUrl">
                                <spring:param name="formId" value="${pair.studentsForm.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(ownerUrl)}" title="${pair.studentsForm.owner.mail}">
                                    ${pair.studentsForm.owner.fullName}
                            </a>
                        </td>
                        <td>
                            <spring:url value="/forms/{formId}" var="ownerUrl">
                                <spring:param name="formId" value="${pair.managersForm.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(ownerUrl)}" title="${pair.managersForm.owner.mail}"
                               style="padding-left:3px; padding-right:3px;">
                                    ${pair.managersForm.owner.fullName} (${pair.managersForm.owner.organization.name})
                            </a>
                        </td>
                        <td style="width:18%">
                            <c:choose>
                                <c:when test="${empty pair.mailTimestamp}">
                                    <spring:url value="/forms/sendmail/{formPairId}" var="sendMailUrl">
                                        <spring:param name="formPairId" value="${pair.id}"/>
                                    </spring:url>
                                    <a href="${fn:escapeXml(sendMailUrl)}" style="padding-top:3px;">
                                        <spring:url value="/static/images/envelope.png" var="imageUrl"/>
                                        <img style="margin-top:3px;" src="${fn:escapeXml(imageUrl)}" width="20%"
                                             title="<fmt:message  key="send"/>"/>
                                    </a>
                                </c:when>
                                <c:otherwise>
                                    <div class="mailLinkClass">
                                        <spring:url value="/forms/sendmail/{formPairId}" var="sendMailUrl">
                                            <spring:param name="formPairId" value="${pair.id}"/>
                                        </spring:url>

                                        <a href="${fn:escapeXml(sendMailUrl)}" style="padding-top:3px;">
                                            <spring:url value="/static/images/envelope.png" var="imageUrl"/>
                                            <img style="margin-top:3px;" src="${fn:escapeXml(imageUrl)}" width="20%"
                                                 title="<fmt:message  key="send"/>"/>
                                        </a>
                                    </div>
                                </c:otherwise>
                            </c:choose>
                        </td>
                        <td title="<fmt:formatDate type="both" value="${pair.mailTimestamp}"/>">
                            <fmt:formatDate value="${pair.mailTimestamp}"/>
                        </td>
                        <td>
                            <fmt:message key="filled.${pair.state}"/>
                        </td>
                        <td>
                            <c:choose>
                                <c:when test="${pair.state == 'new' and pair.mailTimestamp == null}">
                                    <spring:url value="/forms/delete/{pairId}" var="delUrl">
                                        <spring:param name="pairId" value="${pair.id}"/>
                                    </spring:url>
                                    <a href="${fn:escapeXml(delUrl)}" style="padding:3px 1px 0;"
                                       onclick="return confirm('<fmt:message key="pair.delete.confirm"/>');">
                                        <spring:url value="/static/images/delete.png" var="imageUrl"/>
                                        <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                                    </a>
                                </c:when>
                                <c:otherwise>
                                    <spring:url value="/static/images/delete-gray.png" var="imageUrl"/>
                                    <img src="${fn:escapeXml(imageUrl)}" width="16px" style="padding:3px 1px 0;"/>
                                </c:otherwise>
                            </c:choose>
                        </td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </div>
        <br/>
    </c:if>


    <ul class="tiles wide">
        <li class="tilesButton" style="margin-left:5%; width:40%;">
            <spring:url value="new" var="addUrl">
            </spring:url>
            <a href="${fn:escapeXml(addUrl)}">
                <fmt:message key="genNewPair"/>
            </a>
        </li>
        <li class="tilesButton" style="margin-left:5%; width:40%;">
            <spring:url value="bulk" var="addUrl">
            </spring:url>
            <a href="${fn:escapeXml(addUrl)}">
                <fmt:message key="genNewPair.bulk"/>
            </a>
        </li>
    </ul>
    <div class="clear"></div>
</div>


<%@ include file="/WEB-INF/jsp/footer.jsp" %>