<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>


<h2>
    <fmt:message key="mass.mail.text"/>
</h2>

<script type="text/javascript">
    $(document).ready(function () {
        $("#formPairForm").submit(formSubmitHandler);
    });
</script>

<div id="content">
    <div class="back buttonTop">
        <a href="list">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
        <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:0px;">
            <fmt:message key="${sessionMessage.key}">
                <c:forEach var="paramIt" items="${sessionMessage.param}">
                    <fmt:param value="${paramIt}"/>
                </c:forEach>
            </fmt:message>
        </div>
    </c:if>

    <c:if test="${not empty listFormPairWrapper.formPairs}">
        <form:form modelAttribute="listFormPairWrapper" method="post" id="formPairForm">
            <div class="round">
                <table class="table1 roundedTable" style="width:100%">
                    <thead>
                    <tr>
                        <th style="width:25%">
                            <fmt:message key="studentF"/>
                        </th>
                        <th style="width:30%">
                            <fmt:message key="managerF"/>
                        </th>
                        <th style="width:15%;padding-left:2px;padding-right:2px">
                            <fmt:message key="send.mail"/>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <c:forEach var="pair" items="${listFormPairWrapper.formPairs}">
                        <tr>
                            <td>
                                <spring:url value="/forms/{formId}" var="ownerUrl">
                                    <spring:param name="formId" value="${pair.studentsForm.id}"/>
                                </spring:url>
                                <a href="${fn:escapeXml(ownerUrl)}" title="${pair.studentsForm.owner.mail}">
                                        ${pair.studentsForm.owner.fullName}
                                </a>
                            </td>
                            <td>
                                <spring:url value="/forms/{formId}" var="ownerUrl">
                                    <spring:param name="formId" value="${pair.managersForm.id}"/>
                                </spring:url>
                                <a href="${fn:escapeXml(ownerUrl)}" title="${pair.managersForm.owner.mail}"
                                   style="padding-left:3px; padding-right:3px;">
                                        ${pair.managersForm.owner.fullName}
                                    (${pair.managersForm.owner.organization.name})
                                </a>
                            </td>
                            <td>
                                <form:checkbox path="formPairs" value="${pair}"
                                               id="pairCheck${pair.id}" class="featureCheck"/>
                            </td>
                        </tr>
                    </c:forEach>
                    </tbody>
                </table>
            </div>
            <br/>

            <form:errors path="formPairs" cssClass="errors"/>
            <div class="formLine" style="margin-left:32%">
                <div class="formValue submit">
                    <input type="submit" value="<fmt:message key="mass.mail.send"/>"
                           onclick="return confirm('<fmt:message key="mass.mail.confirm"/>');"/>
                </div>
            </div>
            <div class="clear"></div>
        </form:form>
    </c:if>
    <c:if test="${empty listFormPairWrapper.formPairs}">
        <fmt:message key="no.data"/>
    </c:if>
</div>


<%@ include file="/WEB-INF/jsp/footer.jsp" %>