<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="method" value="put"/>

<div id="content">
<c:if test="${preview}">
    <div class="back buttonTop">
        <spring:url value="/forms/{formId}" var="formUrl">
            <spring:param name="formId" value="${form.id}"/>
        </spring:url>
        <a href="${fn:escapeXml(formUrl)}">
            <fmt:message key="back"/>
        </a>
    </div>
</c:if>


<h2>
    <fmt:message key="answer"/>
    <c:if test="${preview}"> -
        <fmt:message key="form.display.preview"/>
    </c:if>
</h2>

<h3>
    <fmt:message key="form.answer"/>
    <c:out value="${form.owner.fullName}"/>
    <c:if test="${form.owner.role == 'manager'}">
        (<c:out value="${form.owner.organization.name}"/>)
    </c:if>
    <br/>
    <c:choose>
        <c:when test="${form.owner.role == 'manager'}">
            <fmt:message key="form.answer.other.student"/>:
            <c:out value="${other.fullName}"/>
        </c:when>
        <c:otherwise>
            <fmt:message key="form.answer.other.manager"/>:
            <c:out value="${other.organization.name}"/>
        </c:otherwise>
    </c:choose>
</h3>

<form:form modelAttribute="form" method="${method}">
    <div class="formField" style="float:left;padding:35px 20px 10px;text-align:left;width:82%">

    <c:set var="lastParent" value="-1" scope="page"/>
    <c:set var="firstItem" value="1" scope="page"/>
    <c:forEach var="item" items="${form.featureRatingList}" varStatus="status">


        <c:if test="${(item.feature.parent.id != lastParent) || (empty item.feature.parent)}">
            <c:if test="${firstItem != 1}">
                </div></div>

                <div class="clear"></div>
            </c:if>

            <div class="formLine">
            <div class="formBox" style="margin:5px">
        </c:if>

        <c:set var="lastParent" value="${item.feature.parent.id}"/>
        <c:set var="firstItem" value="0"/>

        <div class="formFieldDescription">
            <c:choose>
                <c:when test="${form.owner.role == 'manager'}">
                    <c:out value="${form.featureRatingList[status.index].feature.managerQuestion}"/>
                    <br/>
                </c:when>
                <c:otherwise>
                    <c:out value="${form.featureRatingList[status.index].feature.studentQuestion}"/>
                    <br/>
                </c:otherwise>
            </c:choose>
        </div>
        <div id="starRating">
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="1"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="2"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="3"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="4"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="5"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="6"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="7"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="8"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="9"/>
            <form:radiobutton path="featureRatingList[${status.index}].value" cssClass="star {split:2}"
                              value="10"/>

        </div>


    </c:forEach>
    </div>

    <div class="clear"></div>
    </div>

    <c:if test="${not preview}">
        <div class="formLine" style="margin-left:30%">
            <div class="formValue submit">
                <input type="submit" value="<fmt:message key="submitForm"/>"/>
            </div>
        </div>
    </c:if>
    </div>
    <div class="clear"></div>
</form:form>
</div>
</div>
<div style="margin-bottom:80px" id="bottomMargin"></div>
</body>
</html>