<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<c:set var="method" value="post"/>

<h2>
    <fmt:message key="form.detail"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="list">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:choose>
        <c:when test="${notFound}">
            <div class="errorMessage">
                <fmt:message key="form.not.found"/>
            </div>
        </c:when>

        <c:otherwise>
            <div class="detailField" style="margin-bottom:20px;">
                <div class="detailLine">
                    <div class="detailTitle">
                        <fmt:message key="owner"/>:
                    </div>
                    <div class="detailValue">
                        <c:out value="${form.owner.fullName}"/>
                        <c:if test="${isManager}">
                            <c:out value="(${form.owner.organization.name})"/>
                        </c:if>
                    </div>
                </div>
                <div class="detailLine">
                    <div class="detailTitle">
                        <fmt:message key="form.state"/>:
                    </div>
                    <div class="detailValue">
                        <fmt:message key="form.state.${form.state}"/>
                    </div>
                </div>
                <div class="detailLine">
                    <div class="detailTitle">
                        <fmt:message key="form.timestamp.${form.state}"/>:
                    </div>
                    <div class="detailValue">
                        <fmt:formatDate type="both" value="${form.timestamp}"/>
                    </div>
                </div>
                <c:if test="${expired}">
                    <div class="detailLine">
                        <div class="detailTitle" style="margin-top:10px">
                            <fmt:message key="form.expired"/>:
                        </div>
                        <div class="detailValue submit" style="margin-bottom:10px">
                            <form:form>
                                <input type="submit" value="<fmt:message key="form.reopen"/>"/>
                            </form:form>
                        </div>
                    </div>
                </c:if>

                <div class="detailLine" style="margin-top:10px;">
                    <div class="detailTitle">
                        <spring:url value="/forms/preview/{formHash}" var="formUrl">
                            <spring:param name="formHash" value="${form.hash}"/>
                        </spring:url>
                        <a href="${fn:escapeXml(formUrl)}" style="font-size:inherit;padding:5px;font-weight:normal;">
                            <fmt:message key="form.preview"/>
                        </a>
                    </div>
                </div>
                <div style="margin-bottom:13px;"></div>
                <div class="clear">
                </div>
            </div>
            <div class="clear"></clear>
        </c:otherwise>
    </c:choose>
</div>
<%@ include file="/WEB-INF/jsp/footer.jsp" %>