<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<c:choose>
    <c:when test="${newForm}"><c:set var="method" value="post"/>
    </c:when>
    <c:otherwise>
        <c:set var="method" value="put"/>
    </c:otherwise>
</c:choose>


<c:if test="${not empty info}">
    <div class="okMessage">
        <fmt:message key="${info}"/>
    </div>
</c:if>

<h2>
    <fmt:message key="myAccount"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="javascript: history.go(-1)">
            <fmt:message key="back"/>
        </a>
    </div>
    <div class="detailField">
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="user"/>:
            </div>
            <div class="detailValue">
                <c:out value="${currentUser.userName}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="name"/>:
            </div>
            <div class="detailValue">
                <c:out value="${currentUser.name}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="roles"/>:
            </div>
            <div class="detailValue">
                <c:out value="${custom:authorityList(currentUser.authorities)}"/>
            </div>
            <div style="margin-bottom:13px;"></div>
        </div>
    </div>
    <div class="clear"></div>
    <div style="margin-top:40px"></div>
    <div class="formField" style="float:left">
        <div class="formLine formHeader">
            <h3 style="margin:1px;color:inherit"><fmt:message key="password.change"/></h3>
        </div>

        <form:form modelAttribute="userAuthorityWrapper" method="post">
            <div class="formLine">
                <form:errors path="password" class="errorMessage" style="margin:10px;margin-top:20px" element="div"/>
            </div>

            <div class="formLine">
                <div class="formValue" style="margin-left:10%">
                    <div class="formFieldDescription">
                        <fmt:message key="password"/>
                    </div>
                    <form:password path="password" size="25" maxlength="50"/>
                </div>
                <div class="formValue" style="margin-left:8%">
                    <div class="formFieldDescription">
                        <fmt:message key="password.confirm"/>
                    </div>
                    <form:password path="passwordConfirm" size="25" maxlength="50"/>
                </div>
            </div>
            <div class="formLine" style="margin-left:32%">
                <div class="formValue submit">
                    <input type="submit" value="<fmt:message key="password.change"/>"/>
                </div>
            </div>
        </form:form>
    </div>
    <div class="clear"></div>
</div>
<%@ include file="/WEB-INF/jsp/footer.jsp" %>