<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<c:choose>
    <c:when test="${newOrganization}">
        <c:set var="method" value="post"/>
    </c:when>
    <c:otherwise>
        <c:set var="method" value="put"/>
    </c:otherwise>
</c:choose>


<div id="content">
    <div class="back buttonTop">
        <spring:url value="/organizations/list" var="backUrl"/>
        <a href="${fn:escapeXml(backUrl)}">
            <fmt:message key="back"/>
        </a>
    </div>

    <form:form modelAttribute="organization" method="${method}">
        <div class="formField" style="float:left">
            <div class="formLine formHeader">
                <h3 style="margin:1px;color:inherit;text-shadow:inherit">
                    <c:choose>
                        <c:when test="${newOrganization}">
                            <fmt:message key="organization.new"/>
                        </c:when>
                        <c:otherwise>
                            <fmt:message key="organization.update"/>
                        </c:otherwise>
                    </c:choose>
                </h3>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:50%; margin-left:5%">
                    <div class="formFieldDescription">
                        <fmt:message key="name"/>
                        <form:errors path="name" cssClass="errors"/>
                    </div>
                    <form:input path="name" style="width:100%" maxlength="100"/>
                </div>
                <div class="formValue" style="width:30%; float:right;margin-right:7%">
                    <div class="formFieldDescription">
                        <fmt:message key="idNumber"/>
                        <form:errors path="idNumber" cssClass="errors"/>
                    </div>
                    <form:input path="idNumber" style="width:100%" maxlength="100"/>
                </div>
            </div>
            <div class="formLine" style="margin-left:30%">
                <div class="formValue submit">
                    <c:choose>
                        <c:when test="${newOrganization}">
                            <input type="submit" value="<fmt:message key="organization.add"/>"/>
                        </c:when>
                        <c:otherwise>
                            <input type="submit" value="<fmt:message key="organization.update"/>"/>

                        </c:otherwise>
                    </c:choose>
                </div>
            </div>
            <div class="clear"></div>
        </div>
    </form:form>

    <div class="clear"></div>
</div>


<%@ include file="/WEB-INF/jsp/footer.jsp" %>