<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<script type="text/javascript">
    var isFormVisible = false;

    function hideUploadForm() {
        $('#uploadFileForm').toggle();
    }

    $(document).ready(function () {
        $('#upload').customFileInput();
        $('.customfile-button').html('<fmt:message key="file.browse"/>');
        $('.customfile-feedback').html('');
        if (isFormVisible) {
            hideUploadForm();
        }
        $("#uploadFileForm").submit(formSubmitHandler);
    });
</script>

<h2>
    <fmt:message key="organizations"/>
</h2>

<div id="content">

<div class="back buttonTop">
    <a href="../">
        <fmt:message key="back"/>
    </a>
</div>

<c:if test="${not empty sessionMessage}">
    <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:20px;">
        <fmt:message key="${sessionMessage.key}">
            <c:forEach var="paramIt" items="${sessionMessage.param}">
                <fmt:param value="${paramIt}"/>
            </c:forEach>
        </fmt:message>
    </div>
</c:if>

<c:if test="${not empty organizations}">
    <div class="round">
        <table class="table1 roundedTable" style="width:100%">
            <thead>
            <tr>
                <th scope="col">
                    <fmt:message key="name"/>
                </th>
                <th scope="col">
                    <fmt:message key="idNumber"/>
                </th>
                <th scope="col">
                    <fmt:message key="enabled"/>
                </th>
                <th scope="col" style="text-align:center;">
                    <fmt:message key="change.active"/>
                </th>
                <th scope="col">
                    <fmt:message key="edit"/>
                </th>
                <th>
                    <fmt:message key="delete"/>
                </th>
            </tr>
            </thead>
            <tbody>
            <c:forEach var="wrapper" items="${organizations}">
                <tr>
                    <td>
                        <c:out value="${wrapper.organization.name}"/>
                    </td>
                    <td>
                        <c:out value="${wrapper.organization.idNumber}"/>
                    </td>
                    <td style="text-align:center;">
                        <c:if test="${wrapper.organization.active}">
                            <spring:url value="/static/images/checked.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </c:if>
                        <c:if test="${not wrapper.organization.active}">
                            <spring:url value="/static/images/delete-gray.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </c:if>
                    </td>
                    <td style="text-align:center;">
                        <c:if test="${wrapper.organization.active}">
                            <spring:url value="/organizations/disable/{orgId}" var="disableUrl">
                                <spring:param name="orgId" value="${wrapper.organization.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(disableUrl)}" style="padding:3px 1px 0;">
                                <spring:url value="/static/images/delete.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </a>
                        </c:if>
                        <c:if test="${not wrapper.organization.active}">
                            <spring:url value="/organizations/enable/{orgId}" var="disableUrl">
                                <spring:param name="orgId" value="${wrapper.organization.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(disableUrl)}" style="padding:3px 1px 0;">
                                <spring:url value="/static/images/checked.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </a>
                        </c:if>
                    </td>
                    <td>
                        <spring:url value="/organizations/{organizationId}/edit" var="editUrl">
                            <spring:param name="organizationId" value="${wrapper.organization.id}"/>
                        </spring:url>
                        <a href="${fn:escapeXml(editUrl)}" style="padding:3px 1px 0;">
                            <spring:url value="/static/images/edit.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </a>
                    </td>
                    <td>
                        <c:if test="${wrapper.canBeDeleted}">
                            <spring:url value="/organizations/delete/{orgId}" var="delUrl">
                                <spring:param name="orgId" value="${wrapper.organization.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(delUrl)}" style="padding:3px 1px 0;"
                               onclick="return confirm('<fmt:message key="organization.delete.confirm"/>');">
                                <spring:url value="/static/images/delete.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </a>
                        </c:if>
                        <c:if test="${not wrapper.canBeDeleted}">
                            <spring:url value="/static/images/delete-gray.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </c:if>
                    </td>
                </tr>
            </c:forEach>
            </tbody>
        </table>
    </div>
</c:if>
<ul class="tiles wide">
    <li class="tilesButton" style="margin-left:8%; width:30%;">

        <spring:url value="/organizations/new" var="addUrl">
        </spring:url>
        <a href="${fn:escapeXml(addUrl)}">
            <fmt:message key="organization.add"/>
        </a>
    </li>
</ul>
<h2>
    <fmt:message key="managers"/>
</h2>

<c:if test="${not empty managers}">
    <div class="round">
        <table class="table1 roundedTable" style="width:100%">
            <thead>
            <tr>
                <th>
                    <fmt:message key="surname"/>
                </th>
                <th>
                    <fmt:message key="name"/>
                </th>
                <th>
                    <fmt:message key="mail"/>
                </th>
                <th>
                    <fmt:message key="organization"/>
                </th>
                <th><a class="tooltip">
                    <fmt:message key="agree.level"/>
                    <span class="classic">
                        <fmt:message key="agreement.description"/>
                    </span>
                </a>
                </th>
                <th style="text-align:center;">
                    <fmt:message key="edit"/>
                </th>
                <th style="text-align:center;">
                    <fmt:message key="delete"/>
                </th>
            </tr>
            </thead>
            <c:forEach var="manager" items="${managers}">
                <tr>
                    <td>
                        <c:out value="${manager.participant.surname}"/>
                    </td>
                    <td>
                        <c:out value="${manager.participant.name}"/>
                    </td>
                    <td>
                        <c:out value="${manager.participant.mail}"/>
                    </td>
                    <td>
                        <c:out value="${manager.participant.organization.name}"/>
                    </td>
                    <td style="text-align:center;color:red;font-weight:bold;">
                        <c:choose>
                            <c:when test="${manager.rating == 0}">
                                <spring:url value="/static/images/checked.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </c:when>
                            <c:otherwise>
                                <spring:url value="/disagreements/participant/{partId}" var="disUrl">
                                    <spring:param name="partId" value="${manager.participant.id}"/>
                                </spring:url>
                                <a href="${disUrl}">
                                    <c:out value="${manager.rating}"/>
                                </a>
                            </c:otherwise>
                        </c:choose>
                    </td>
                    <td>
                        <spring:url value="/managers/edit/{manId}" var="editUrl">
                            <spring:param name="manId" value="${manager.participant.id}"/>
                        </spring:url>
                        <a href="${fn:escapeXml(editUrl)}" style="padding:3px 1px 0;">
                            <spring:url value="/static/images/edit.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </a>
                    </td>
                    <td style="text-align:center;">
                        <c:if test="${manager.canBeDeleted}">
                            <spring:url value="/managers/delete/{userId}" var="delUrl">
                                <spring:param name="userId" value="${manager.participant.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(delUrl)}" style="padding:3px 1px 0;"
                               onclick="return confirm('<fmt:message key="manager.delete.confirm"/>');">
                                <spring:url value="/static/images/delete.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </a>
                        </c:if>
                        <c:if test="${not manager.canBeDeleted}">
                            <spring:url value="/static/images/delete-gray.png" var="imageUrl"/>
                            <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                        </c:if>
                    </td>
                </tr>
            </c:forEach>
        </table>
    </div>
</c:if>

<ul class="tiles wide">
    <li class="tilesButton" style="margin-left:8%; width:30%;">
        <spring:url value="/managers/new" var="addUrl">
        </spring:url>
        <a href="${fn:escapeXml(addUrl)}">
            <fmt:message key="manager.add"/>
        </a>
    </li>
</ul>

<div id="uploadButtons" class="tiles wide" style="margin-top: 0;">
    <div class="add-buttons" style="float:left; margin-left: 8%;">
        <a class="resetPasswordLink" onclick="hideUploadForm()">
            <fmt:message key="managers.import"/>
        </a>
    </div>
    <div class="clear">
    </div>

    <div id="uploadFileForm" style="padding-top:0;">
        <div style="text-align:left">
            <p>
                <fmt:message key="managers.import.format"/><br/>
                <fmt:message key="line.example"/><br/>
                <span style="font-family: monospace; font-size: 12px;">234567654;ABC s.r.o.;Marcel, Fibich;fibich@abc.com </span>
            </p>

            <form:form modelAttribute="uploadFileWrapper" method="post" enctype="multipart/form-data">
                <c:set var="fileErrors"><form:errors path="file"/></c:set>
                <c:if test="${not empty fileErrors}">
                    <div class="errors">
                        <c:out value="${fileErrors}" escapeXml="false"/>
                        <br/>
                        <script type="text/javascript">
                            isFormVisible = true;
                        </script>
                    </div>
                </c:if>
                <form:input path="file" id="upload" type="file" size="40"/>
                <input class="round uploadSubmitButton" type="submit" value="<fmt:message key="file.upload"/>"/>
            </form:form>
        </div>
    </div>
</div>
<div class="clear"></div>

</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>
