<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>


<c:choose>
    <c:when test="${newManager}">
        <c:set var="method" value="post"/>
    </c:when>
    <c:otherwise>
        <c:set var="method" value="put"/>
    </c:otherwise>
</c:choose>


<div id="content">
    <div class="back buttonTop">
        <spring:url value="/organizations/list" var="backUrl"/>
        <a href="${fn:escapeXml(backUrl)}">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:choose>
        <c:when test="${empty allOrganizations}">
            <div class="errorMessage" style="margin-top:0px;">
                <fmt:message key="organizations.empty"/>
            </div>
        </c:when>
        <c:otherwise>
            <form:form modelAttribute="manager" method="${method}">
                <div class="formField" style="float:left">
                    <div class="formLine formHeader">
                        <h3 style="margin:1px;color:inherit;text-shadow:inherit">
                            <c:choose>
                                <c:when test="${newManager}">
                                    <fmt:message key="manager.new"/>
                                </c:when>
                                <c:otherwise>
                                    <fmt:message key="manager.edit"/>
                                </c:otherwise>
                            </c:choose>
                        </h3>
                    </div>
                    <div class="formLine" style="padding-left: 5%;padding-right: 5%;">
                        <div class="formValue" style="width:35%; ">
                            <div class="formFieldDescription">
                                <fmt:message key="name"/>
                                <form:errors path="name" cssClass="errors"/>
                            </div>
                            <form:input path="name" style="width:100%" maxlength="50"/>
                        </div>
                        <div class="formValue" style="width:35%;float:right;margin-right:12%">
                            <div class="formFieldDescription">
                                <fmt:message key="surname"/>
                                <form:errors path="surname" cssClass="errors"/>
                            </div>
                            <form:input path="surname" style="width:100%" maxlength="50"/>
                        </div>
                    </div>
                    <div class="formLine" style="padding-left: 5%;padding-right: 5%;">
                        <div class="formValue" style="width:35%; ">
                            <div class="formFieldDescription">
                                <fmt:message key="mail"/>
                                <form:errors path="mail" cssClass="errors"/>
                            </div>
                            <form:input path="mail" style="width:100%" maxlength="50"/>
                        </div>
                        <div class="formValue" style="width:35%;float:right;margin-right:12% ">
                            <div class="formFieldDescription">
                                <fmt:message key="organization"/>
                                <form:errors path="organization" cssClass="errors"/>
                            </div>
                            <form:select path="organization" style="width:102%" disabled="${not canEditOrg}">
                                <form:option value="NONE"><fmt:message key="select"/>
                                </form:option>
                                <form:options items="${allOrganizations}" itemLabel="name"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="formLine" style="margin-left:27%">
                        <div class="formValue submit">
                            <c:choose>
                                <c:when test="${newManager}">
                                    <input type="submit" value="<fmt:message key="manager.add"/>"/>
                                </c:when>
                                <c:otherwise>
                                    <input type="submit" value="<fmt:message key="manager.edit"/>"/>
                                </c:otherwise>
                            </c:choose>
                        </div>
                    </div>
                    <div class="clear"></div>
                </div>
                <div class="clear"></div>
            </form:form>
        </c:otherwise>
    </c:choose>
</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>
