<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>
<h2>
    <fmt:message key="periods"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="../">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
        <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:0px;">
            <fmt:message key="${sessionMessage.key}"/>
        </div>
    </c:if>

    <script type="text/javascript">
        function changePeriod() {
            $('#periodSelectForm').submit();
        }
    </script>

    <div class="firstColumn">
        <ul class="tiles w80c columnItem">
            <li class="tilesHeader">
                <h3 style="color:inherit;margin:1px;text-shadow:inherit;">
                    <fmt:message key="period.select"/>:<br/>
                    <c:out value="${sessionPeriod}"/>
                </h3>
            </li>
            <li>
                <form:form id="periodSelectForm" modelAttribute="periodWrapper" method="post">
                    <fmt:message key="period.change"/>&nbsp;
                    <form:select path="period" onchange="changePeriod()">
                        <form:options items="${periodsSimple}" itemLabel="label"/>
                    </form:select>
                </form:form>
            </li>
            <div class="clear"></div>
        </ul>
        <ul class="tiles w80c columnItem" style="width: 100%;">

            <li class="tilesButton">
                <spring:url value="/periods/new" var="addUrl">
                </spring:url>
                <a href="${fn:escapeXml(addUrl)}">
                    <fmt:message key="period.new"/>
                </a>
            </li>
            <div class="clear"></div>
            <div class="clear"></div>
        </ul>
    </div>


    <div class="secondColumn">
        <ul class="tiles w80c hoverableInverse columnItem">
            <li class="tilesHeader">
                <h3 style="color:inherit;text-shadow:inherit;margin:1px;">
                    <fmt:message key="period.overwiew"/>
                </h3>
            </li>
            <c:forEach var="item" items="${periods}">
                <li>
                    <div class="roleText" style="margin-right:30px;width:50%;text-align:left;margin-left:10px;">
                        <spring:url value="{periodId}" var="detailUrl">
                            <spring:param name="periodId" value="${item.period.id}"/>
                        </spring:url>
                        <a href="${fn:escapeXml(detailUrl)}" title="<fmt:message key="period.info"/>">
                        <c:out value="${item.period}"/>
                        </a>
                    </div>
                    <c:choose>
                        <c:when test="${item.canBeDeleted}">
                            <spring:url value="/periods/delete/{periodId}" var="delUrl">
                                <spring:param name="periodId" value="${item.period.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(delUrl)}" class="picture" title="<fmt:message key="period.delete"/>">
                            <div class="delPicture">
                            </div>
                            </a>
                        </c:when>
                        <c:otherwise>
                            <div class="delPictureGray">
                            </div>
                        </c:otherwise>
                    </c:choose>
                </li>
            </c:forEach>

            <div class="clear"></div>
        </ul>
    </div>


    <div class="clear"></div>
</div>

<div class="clear"></div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>