<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<h2>
    <fmt:message key="rates"/>
</h2>

<script type="text/javascript">
    $(function () {

        <c:forEach var="bar" items="${totalRatesBars}">
        var ${bar.barName}=
        [];
        ${bar.barName}.
        push([${bar.ordNumber}, ${bar.value}]);
        </c:forEach>

        $.plot($("#placeholder"), [
            <c:forEach var="bar" items="${totalRatesBars}">
            {color:"${bar.color}", data: ${bar.barName}},
            </c:forEach>
        ],
                {
                    yaxis:{
                        min:0,
                        max:100
                    },
                    series:{
                        bars:{
                            show:true, barWidth:0.5, fill:1, lineWidth:1
                        }
                    },
                    xaxis:{ticks:[
                        <c:forEach var="bar" items="${totalRatesBars}">
                        [${bar.ordNumber}, "${bar.ordNumber+1}"],
                        </c:forEach>
                    ] }
                }
        );

        var pieData = [
            <c:forEach var="tile" items="${rates}" varStatus="status">
            { label: <c:out value="${status.count}"/>,
                data: ${tile.value},
                color:"${tile.oneColor}"
            },
            </c:forEach>
        ];

        $.plot($("#pieGraph"), pieData,
                {
                    series:{
                        pie:{
                            show:true,
                            label:{
                                show:true,
                                formatter:function (label, series) {
                                    return '<div class="pieGraphLabel">' + label + '<br/>' + Math.round(series.percent) + '%</div>';
                                },
                                radius:1,
                                background:{
                                    opacity:0.9,
                                    color:null
                                }
                            }
                        }
                    },
                    legend:{
                        show:false
                    }

                });
    })
    ;

    function changePeriod() {
        $('#periodSelectForm').submit();
    }
</script>
<div id="content">
    <div class="back buttonTop">
        <a href="..">
            <fmt:message key="back"/>
        </a>
    </div>
    <div>
        <ul class="tiles" style="width:88%; margin-left:5%">
            <form:form id="periodSelectForm" modelAttribute="periodOrganizationWrapper" method="post">
                <li style="margin-left:10px; width: 40%">
                    <div style="float:left; margin-left: 7%;margin-top: 3%">
                        <fmt:message key="period.select"/>
                    </div>
                    <div style="float: right;">
                        <form:select path="period" onchange="changePeriod()">
                            <form:option value="NONE">
                                <fmt:message key="year.global"/>
                            </form:option>
                            <form:options items="${periodList}" itemLabel="label"/>
                        </form:select>
                    </div>
                </li>
                <li style="margin-left:10px;float:right;margin-right:10px; width: 45%">
                    <div style="float: left;margin-left: 7%;margin-top: 3%">
                        <fmt:message key="organization.select"/>
                    </div>
                    <div style="float: right;">
                        <form:select path="organization" onchange="changePeriod()">
                            <form:option value="NONE">
                                <fmt:message key="organization.global"/>
                            </form:option>
                            <form:options items="${organizationList}" itemLabel="name"/>
                        </form:select>
                    </div>
                </li>
                <div class="clear"></div>
                <li class="tilesButton" style="margin-left:10px">
                    <spring:url value="/pdf" var="pdfUrl"/>
                    <a href="${fn:escapeXml(pdfUrl)}">
                        <fmt:message key="export.pdf"/>
                    </a>
                </li>
                <li class="tilesButton" style="margin-left:10px">
                    <spring:url value="/excel" var="xlsUrl"/>
                    <a href="${fn:escapeXml(xlsUrl)}">
                        <fmt:message key="export.xls"/>
                    </a>
                </li>
                <li style="float:right;margin-right:10px; width: 45%">
                    <div style="float:left; margin-left: 7%">
                        <fmt:message key="aggregate"/>
                    </div>
                    <div style="float: right;margin-right: 17%">
                        <form:checkbox path="aggregate" onchange="changePeriod()"/>
                    </div>
                </li>
            </form:form>
        </ul>
    </div>
    <div class="clear"></div>

    <h3>
        <fmt:message key="rates.total"/>
    </h3>
    <c:choose>
        <c:when test="${not empty totalRates}">
            <div class="round">
                <table class="table1 roundedTable" style="width:100%">
                    <thead>
                    <tr>
                        <th>
                            <fmt:message key="pos"/>
                        </th>
                        <th>
                            <fmt:message key="feature"/>
                        </th>
                        <th>
                            <fmt:message key="severity"/>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <c:forEach var="rate" items="${totalRates}" varStatus="status">
                        <tr style="background-color:${rate.color}">
                            <td style=";padding:5px">
                                <c:out value="${status.count}"/>
                            </td>
                            <td style="text-align: left; padding-left: 5px">
                                <c:out value="${rate.feature.name}"/>
                            </td>
                            <td>
                                <c:out value="${rate.value}"/> %
                            </td>
                        </tr>
                    </c:forEach>
                    </tbody>
                </table>
            </div>

            <div id="placeholder" style="height:300px;width:70%;margin-left:13%;margin-top:5%;">
            </div>
        </c:when>
        <c:otherwise>
            <p><fmt:message key="no.data"/></p>
        </c:otherwise>
    </c:choose>

    <br/>
    <br/>

    <h3>
        <fmt:message key="rates.improvement"/>
    </h3>
    <c:choose>
        <c:when test="${not empty rates}">
            <div class="round">
                <table class="table1 roundedTable" style="width:100%">
                    <thead>
                    <tr>
                        <th>
                            <fmt:message key="pos"/>
                        </th>
                        <th>
                            <fmt:message key="howto"/>
                        </th>
                        <th>
                            <fmt:message key="severity.needed"/>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <c:forEach var="rate" items="${rates}" varStatus="status">
                        <tr style="background-color:${rate.oneColor}">
                            <td style=";padding:5px">
                                <c:out value="${status.count}"/>
                            </td>
                            <td style="text-align: left; padding-left: 5px">
                                <c:out value="${rate.feature.hint}"/>
                            </td>
                            <td>
                                <c:out value="${rate.value}"/> %
                            </td>
                        </tr>
                    </c:forEach>
                    </tbody>
                </table>
            </div>

            <div id="pieGraph" style="height:300px">
            </div>
        </c:when>
        <c:otherwise>
            <p><fmt:message key="no.data"/></p>
        </c:otherwise>
    </c:choose>
</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>
