<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>


<c:choose>
    <c:when test="${newStudent}">
        <c:set var="method" value="post"/>
    </c:when>
    <c:otherwise>
        <c:set var="method" value="put"/>
    </c:otherwise>
</c:choose>


<div id="content">
    <div class="back buttonTop">
        <spring:url value="/students/list" var="backUrl"/>
        <a href="${fn:escapeXml(backUrl)}">
            <fmt:message key="back"/>
        </a>
    </div>

    <form:form modelAttribute="student" method="${method}">
        <div class="formField" style="float:left">
            <div class="formLine formHeader">
                <h3 style="margin:1px;color:inherit;text-shadow:inherit">
                    <c:choose>
                        <c:when test="${newStudent}">
                            <fmt:message key="student.new"/>
                        </c:when>
                        <c:otherwise>
                            <fmt:message key="student.edit"/>
                        </c:otherwise>
                    </c:choose>

                </h3>
            </div>
            <div class="formLine" style="padding-left: 5%;padding-right: 5%;">
                <div class="formValue" style="width:35%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="name"/>
                        <form:errors path="name" cssClass="errors"/>
                    </div>
                    <form:input path="name" style="width:100%" maxlength="50"/>
                </div>
                <div class="formValue" style="width:35%;float:right;margin-right:12%">
                    <div class="formFieldDescription">
                        <fmt:message key="surname"/>
                        <form:errors path="surname" cssClass="errors"/>
                    </div>
                    <form:input path="surname" style="width:100%" maxlength="50"/>
                </div>
            </div>
            <div class="formLine" style="padding-left: 5%;padding-right: 5%;">
                <div class="formValue" style="width:35%; ">
                    <div class="formFieldDescription">
                        <fmt:message key="student.uco"/>
                        <form:errors path="uco" cssClass="errors"/>
                    </div>
                    <form:input path="uco" style="width:100%" maxlength="50"/>
                </div>
                <div class="formValue" style="width:35%; float:right;margin-right:12% ">
                    <div class="formFieldDescription">
                        <fmt:message key="mail"/>
                        <form:errors path="mail" cssClass="errors"/>
                    </div>
                    <form:input path="mail" style="width:100%" maxlength="50"/>
                </div>
            </div>
            <div class="formLine" style="margin-left:32%;width:20%">
                <div class="formValue submit">
                    <c:choose>
                        <c:when test="${newStudent}">
                            <input type="submit" value="<fmt:message key="student.add"/>"/>
                        </c:when>
                        <c:otherwise>
                            <input type="submit" value="<fmt:message key="student.edit"/>"/>
                        </c:otherwise>
                    </c:choose>
                </div>
            </div>
            <div class="clear"></div>
        </div>
    </form:form>

    <div class="clear"></div>
</div>


<%@ include file="/WEB-INF/jsp/footer.jsp" %>
