<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>


<script type="text/javascript">
    var isFormVisible = false;

    function hideUploadForm() {
        $('#uploadFileForm').toggle();
    }

    $(document).ready(function () {
        $('#upload').customFileInput();
        $('.customfile-button').html('<fmt:message key="file.browse"/>');
        $('.customfile-feedback').html('');
        if (isFormVisible) {
            hideUploadForm();
        }
        $("#uploadFileForm").submit(formSubmitHandler);
    });
</script>


<h2>
    <fmt:message key="students"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="../">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
        <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:20px;">
            <fmt:message key="${sessionMessage.key}">
                <c:forEach var="paramIt" items="${sessionMessage.param}">
                    <fmt:param value="${paramIt}"/>
                </c:forEach>
            </fmt:message>
        </div>
    </c:if>

    <c:if test="${not empty students}">
        <div class="round">
            <table class="table1 roundedTable" style="width:100%">
                <thead>
                <tr>
                    <th>
                        <fmt:message key="surname"/>
                    </th>
                    <th>
                        <fmt:message key="name"/>
                    </th>
                    <th>
                        <fmt:message key="student.uco"/>
                    </th>
                    <th>
                        <fmt:message key="mail"/>
                    </th>
                    <th>
                        <a class="tooltip">
                            <fmt:message key="agree.level"/>
                         <span class="classic">
                            <fmt:message key="agreement.description"/>
                         </span>
                        </a>
                    </th>
                    <th style="text-align:center;">
                        <fmt:message key="edit"/>
                    </th>
                    <th style="text-align:center;">
                        <fmt:message key="delete"/>
                    </th>
                </tr>
                </thead>
                <tbody>
                <c:forEach var="student" items="${students}">
                    <tr>
                        <td>
                            <c:out value="${student.participant.surname}"/>
                        </td>
                        <td>
                            <c:out value="${student.participant.name}"/>
                        </td>
                        <td>
                            <c:out value="${student.participant.uco}"/>
                        </td>
                        <td>
                            <c:out value="${student.participant.mail}"/>
                        </td>
                        <td style="text-align:center;color:red;font-weight:bold;">
                            <c:choose>
                                <c:when test="${student.rating == 0}">
                                    <spring:url value="/static/images/checked.png" var="imageUrl"/>
                                    <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                                </c:when>
                                <c:otherwise>
                                    <spring:url value="/disagreements/participant/{partId}" var="disUrl">
                                        <spring:param name="partId" value="${student.participant.id}"/>
                                    </spring:url>
                                    <a href="${disUrl}">
                                        <c:out value="${student.rating}"/>
                                    </a>
                                </c:otherwise>
                            </c:choose>
                        </td>
                        <td>
                            <spring:url value="/students/edit/{studentId}" var="editUrl">
                                <spring:param name="studentId" value="${student.participant.id}"/>
                            </spring:url>
                            <a href="${fn:escapeXml(editUrl)}" style="padding:3px 1px 0;">
                                <spring:url value="/static/images/edit.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </a>
                        </td>
                        <td style="text-align:center;">
                            <c:if test="${student.canBeDeleted}">
                                <spring:url value="/students/delete/{userId}" var="delUrl">
                                    <spring:param name="userId" value="${student.participant.id}"/>
                                </spring:url>
                                <a href="${fn:escapeXml(delUrl)}" style="padding:2px 1px 0;"
                                   onclick="return confirm('<fmt:message key="student.delete.confirm"/>');">
                                    <spring:url value="/static/images/delete.png" var="imageUrl"/>
                                    <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                                </a>
                            </c:if>
                            <c:if test="${not student.canBeDeleted}">
                                <spring:url value="/static/images/delete-gray.png" var="imageUrl"/>
                                <img src="${fn:escapeXml(imageUrl)}" width="16px"/>
                            </c:if>
                        </td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </div>
    </c:if>

    <div id="uploadButtons" class="tiles wide">
        <div class="add-buttons" style="float:left">
            <spring:url value="/students/new" var="addUrl">
            </spring:url>
            <a href="${fn:escapeXml(addUrl)}">
                <fmt:message key="student.add"/>
            </a>
        </div>
        <div class="add-buttons" style="float:left">
            <a class="resetPasswordLink" onclick="hideUploadForm()">
                <fmt:message key="students.import"/>
            </a>
        </div>
        <div class="clear">
        </div>

        <div id="uploadFileForm">
            <div style="text-align:left">
                <p>
                    <fmt:message key="students.import.format"/><br/>
                    <fmt:message key="line.example"/><br/>
                    <span style="font-family: monospace; font-size: 12px;">1.;234323;Koukal, Jakub</span>
                </p>

                <form:form modelAttribute="uploadFileWrapper" method="post" enctype="multipart/form-data">
                    <c:set var="fileErrors"><form:errors path="file"/></c:set>
                    <c:if test="${not empty fileErrors}">
                        <div class="errors">
                            <c:out value="${fileErrors}" escapeXml="false"/>
                            <br/>
                            <script type="text/javascript">
                                isFormVisible = true;
                            </script>
                        </div>
                    </c:if>
                    <form:input path="file" id="upload" type="file" size="40"/>
                    <input class="round uploadSubmitButton" type="submit" value="<fmt:message key="file.upload"/>"/>
                </form:form>
            </div>
        </div>
    </div>
    <div class="clear">
    </div>
</div>
<%@ include file="/WEB-INF/jsp/footer.jsp" %>
