<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<h2>
    <fmt:message key="title"/>
</h2>

<div id="content">
    <c:if test="${not empty info}">
        <div class="okMessage">
            <fmt:message key="${info}"/>
        </div>
    </c:if>
    <ul class="tiles w46 hoverableInverse" style="margin:4%;width:90%">
        <sec:authorize access="hasRole('admin')">
            <li>
                <a href="admin"><fmt:message key="admin"/>
                </a>
            </li>
        </sec:authorize>

        <sec:authorize access="hasAnyRole('admin', 'coordinator')">
            <li>
                <a href="periods/list">
                    <fmt:message key="periods"/>
                </a>
            </li>
        </sec:authorize>

        <sec:authorize access="hasRole('coordinator')">
            <li>
                <a href="features/list">
                    <fmt:message key="features"/>
                </a>
            </li>
            <li>
                <a href="organizations/list">
                    <fmt:message key="organizations.and.managers"/>
                </a>
            </li>

            <li>
                <a href="students/list">
                    <fmt:message key="students"/>
                </a>

            </li>

        </sec:authorize>

        <li>
            <a href="forms/list">
                <fmt:message key="formPairs"/>
            </a>
        </li>
        <li>
            <a href="rates/list">
                <fmt:message key="rates"/>
            </a>
        </li>
    </ul>
    <div class="clear"></div>
</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>
