package cz.muni.fi.itest;

import com.thoughtworks.selenium.DefaultSelenium;
import com.thoughtworks.selenium.SeleneseTestCase;
import org.junit.*;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * Integration tests for whole application using Selenium framework.
 *
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 30.12.11
 */
public class StudentsIT extends SeleneseTestCase {
    private static final String CSV_PATH = "C:\\tmp\\";

    @BeforeClass
    public void setUp() throws Exception {
        selenium = new DefaultSelenium("localhost", 4444, "*firefox", "http://localhost:8082/");
        selenium.start();
    }

    @Test
    public void testSetup() throws Exception {
        selenium.open("/evalIn/login?lang=en");
        selenium.type("name=j_username", "test");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Add period");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=description", "podzim");
        selenium.type("id=year", "2011");
        selenium.type("id=note", "Toto je testovací období");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("podzim 2011"));

        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Administration");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Add User");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=user.name", "Eva Kučírková");
        selenium.type("id=user.userName", "xkucirk");
        selenium.type("id=user.email", "xkucirk@gmail.com");
        selenium.click("id=user.enabled1");
        selenium.type("id=password", "testik");
        selenium.type("id=passwordConfirm", "testik");
        selenium.select("id=authority.role", "label=coordinator");
        selenium.click("css=div.formValue > div.submit > input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Eva Kučírková"));

        selenium.click("//div[@id='content']/div[3]/table/tbody/tr[2]/td[6]/a/img");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=user.name", "Eva Nováková");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Eva Nováková"));

        selenium.click("link=Add User");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=user.name", "Eva Kučírková");
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("css=td.lowerRightCorner > a > img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this user[\\s\\S]$"));
        selenium.click("link=Add User");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=user.name", "Eva Kučírková");
        selenium.type("id=user.userName", "xkucirk");
        selenium.type("id=user.email", "xkucirk@gmail.com");
        selenium.click("id=user.enabled1");
        selenium.type("id=password", "testik");
        selenium.type("id=passwordConfirm", "testik");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Eva Kučírková"));
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr[2]/td[6]/a/img");
        selenium.waitForPageToLoad("30000");
        selenium.select("id=authority.role", "label=coordinator");
        selenium.click("css=div.formValue > div.submit > input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Eva Kučírková"));
        assertTrue(selenium.isTextPresent("coordinator"));
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.selectWindow("null");
        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("Administration"));
        assertTrue(selenium.isTextPresent("Students"));
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Logout successful."));

        //features test
        selenium.open("/evalIn/login");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Features");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Add New Feature");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "test1");
        selenium.type("id=shortName", "t1");
        selenium.type("id=hint", "hint");
        selenium.type("id=studentQuestion", "Otázka pro studenta");
        selenium.type("id=managerQuestion", "Otázka pro managera");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("test1"));
        selenium.click("css=img");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "test1 nove jméno");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("test1 nove jméno"));
        selenium.click("css=td.lowerRightCorner > a > img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this feature[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("test1 nove jméno"));
        selenium.click("link=Add New Feature");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "f1 znova");
        selenium.type("id=shortName", "f1");
        selenium.type("id=hint", "hint");
        selenium.type("id=studentQuestion", "Další otázka pro studenta");
        selenium.type("id=managerQuestion", "Datší otázka pro managera");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("f1 znova"));

        selenium.click("link=Add New Feature");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "potomek");
        selenium.type("id=shortName", "p");
        selenium.select("id=parent", "label=f1");
        selenium.type("id=hint", "hint");
        selenium.type("id=studentQuestion", "Dílčí otázka studente jedna?");
        selenium.type("id=managerQuestion", "Dílčí otázka managere jedna?");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("f1 znova"));
        assertFalse(selenium.isTextPresent("potomek"));
        selenium.click("link=f1 znova");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=potomek");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=f1 znova");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Add New Feature");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "nova druha");
        selenium.type("id=shortName", "d2");
        selenium.type("id=hint", "jl");
        selenium.type("id=managerQuestion", "Druhý nový manažere?");
        selenium.type("id=studentQuestion", "Druhý nový studente?");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("nova druha"));
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr[2]/td[3]/a/img");
        selenium.waitForPageToLoad("30000");
        selenium.select("id=parent", "label=f1");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("nova druha"));
        selenium.click("link=f1 znova");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=nova druha");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Edit Feature");
        selenium.waitForPageToLoad("30000");
        selenium.select("id=parent", "label=-- None --");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("nova druha"));
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr[2]/td[3]/a/img");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Add New Feature");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "druhy potomek");
        selenium.type("id=shortName", "p2");
        selenium.select("id=parent", "label=f1");
        selenium.type("id=hint", "hint2");
        selenium.type("id=studentQuestion", "Dílčí dotaz student potomek 2?");
        selenium.type("id=managerQuestion", "Dílčí druhý dotaz pro managera?");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("nova druha"));
        assertTrue(selenium.isTextPresent("f1 znova"));
        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Logout successful."));

        //periods test
        selenium.open("/evalIn/login");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("podzim 2011"));
        selenium.click("link=Evaluation periods");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=New period");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=description", "druha");
        selenium.type("id=year", "2012");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("druha 2012"));
        selenium.click("link=New period");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=description", "treti");
        selenium.type("id=year", "2013");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("treti 2013"));
        selenium.click("//div[@id='content']/div[4]/ul/li[4]/a/div");
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("treti 2013"));
        selenium.select("id=period", "label=druha 2012");
        selenium.waitForPageToLoad("30000");
        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("druha 2012"));
        selenium.click("link=Evaluation periods");
        selenium.waitForPageToLoad("30000");
        selenium.click("//div[@id='content']/div[3]/ul/li[3]/a/div");
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("druha 2012"));
        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("podzim 2011"));
        selenium.click("link=Evaluation periods");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Logout successful."));

        //students
        selenium.open("/evalIn/login");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Students");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Add Student");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "Jana");
        selenium.type("id=surname", "Nováková");
        selenium.type("id=uco", "12345");
        selenium.type("id=mail", "evalin1@sinusgear.com");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("12345"));
        selenium.click("link=Add Student");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "Jana");
        selenium.type("id=surname", "dva");
        selenium.type("id=uco", "1234");
        selenium.type("id=mail", "dva@mail.com");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("1234"));
        selenium.click("css=a > img");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=uco", "12345");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("12345"));
        assertTrue(selenium.isTextPresent("1234"));
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr/td[7]/a/img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this student[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("12345"));
        assertFalse(selenium.isTextPresent("Jana dva"));
        selenium.click("link=Import students from the file");
        selenium.type("id=upload", CSV_PATH + "seznam_export.csv");
        selenium.click("css=input.round.uploadSubmitButton");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("1325405"));
        assertTrue(selenium.isTextPresent("1374306"));
        assertTrue(selenium.isTextPresent("1374428"));
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr/td[7]/a/img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this student[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("1325405"));
        selenium.click("link=Import students from the file");
        selenium.type("id=upload", CSV_PATH + "seznam_export.csv");
        selenium.click("css=input.round.uploadSubmitButton");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("1325405"));
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr/td[7]/a/img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this student[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr/td[7]/a/img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this student[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        selenium.click("//div[@id='content']/div[3]/table/tbody/tr/td[7]/a/img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this student[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("1325405"));
        assertFalse(selenium.isTextPresent("1374306"));
        assertFalse(selenium.isTextPresent("1374428"));
        selenium.click("link=Add Student");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "Pan");
        selenium.type("id=surname", "Druhýk");
        selenium.type("id=uco", "3456");
        selenium.type("id=mail", "evalin2@sinusgear.com");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("3456"));
        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Logout successful."));

        //managers and organizations
        selenium.open("/evalIn/login");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Organizations and managers");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Add organization");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "nová");
        selenium.type("id=idNumber", "1234");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("nová"));
        selenium.click("link=Add organization");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "další");
        selenium.type("id=idNumber", "1234");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("další"));
        selenium.click("link=Add manager");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "Mana");
        selenium.type("id=surname", "Novo");
        selenium.type("id=mail", "man@");
        selenium.select("id=organization", "label=nová");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=mail", "man@nova.com");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("man@nova.com"));

        selenium.click("css=td.lowerRightCorner > a > img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this organization[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("nová"));

        selenium.click("//div[@id='content']/div[3]/table/tbody/tr/td[5]/a/img");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=idNumber", "12344");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.click("//div[@id='content']/div[4]/table/tbody/tr/td[6]/a/img");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=name", "Manažer");
        selenium.type("id=surname", "Nováček");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Nováček"));

        selenium.click("//div[@id='content']/div[4]/table/tbody/tr/td[7]/a/img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this manager[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("Nováček"));
        selenium.click("css=td.lowerRightCorner > a > img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this organization[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("nová"));
        selenium.click("link=Import organizations from CSV");
        selenium.type("id=upload", CSV_PATH + "organizace.csv");
        selenium.click("css=input.round.uploadSubmitButton");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("evalin3@sinusgear.com"));
        assertTrue(selenium.isTextPresent("evalin4@sinusgear.com"));
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Logout successful."));

        //forms
        selenium.open("/evalIn/login");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Form Pairs");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Generate New Form Pair");
        selenium.waitForPageToLoad("30000");
        selenium.select("id=student", "label=Pan Druhýk");
        selenium.select("id=manager", "label=dfad aaad (Org druha)");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Pan Druhýk"));

        selenium.click("link=Pan Druhýk");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Display form preview");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Druhý nový studente"));
        assertTrue(selenium.isTextPresent("Dílčí otázka studente jedna?"));
        assertTrue(selenium.isTextPresent("Dílčí dotaz student potomek 2?"));

        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("css=td.lowerRightCorner > a > img");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to delete this form pair[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("Pan Druhýk"));
        selenium.click("link=Bulk Form Generation");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=upload", CSV_PATH + "dotazniky.csv");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Pan Druhýk"));
        assertTrue(selenium.isTextPresent("Jana Nováková"));
        assertTrue(selenium.isTextPresent("dfad aaad (Org druha)"));
        assertTrue(selenium.isTextPresent("Prvník Novák (Organizace jedna)"));
        selenium.click("link=Send mass mail");
        selenium.waitForPageToLoad("30000");
        selenium.click("id=pairCheck72");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.getConfirmation().matches("^Do you really want to send the mails[\\s\\S]$"));
        selenium.waitForPageToLoad("30000");
        Date now = new Date();
        Calendar cal = new GregorianCalendar();
        cal.setTime(now);
        int year = cal.get(Calendar.YEAR);
        int day = cal.get(Calendar.DAY_OF_MONTH);
        String nowS = day + ", " + year;
        assertTrue(selenium.isTextPresent(nowS));
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        selenium.open("/evalIn/public/forms/31489056e0916d59fe3add79e63f095af3ffb81604691f21cad442a85c7be617");
        selenium.click("link=8");
        selenium.click("xpath=(//a[contains(text(),'4')])[2]");
        selenium.click("xpath=(//a[contains(text(),'6')])[3]");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.open("/evalIn/public/forms/25fc0e7096fc653718202dc30b0c580b8ab87eac11a700cba03a7c021bc35b0c");
        selenium.click("link=9");
        selenium.click("xpath=(//a[contains(text(),'6')])[2]");
        selenium.click("xpath=(//a[contains(text(),'5')])[3]");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.open("/evalIn/public/forms/02d20bbd7e394ad5999a4cebabac9619732c343a4cac99470c03e23ba2bdc2bc");
        selenium.click("link=5");
        selenium.click("xpath=(//a[contains(text(),'10')])[2]");
        selenium.click("xpath=(//a[contains(text(),'8')])[3]");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.open("/evalIn");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Form Pairs");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=podzim 2011");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=New period");
        selenium.waitForPageToLoad("30000");
        selenium.type("id=description", "jaro");
        selenium.type("id=year", "2012");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.select("id=period", "label=jaro 2012");
        selenium.waitForPageToLoad("30000");
        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Form Pairs");
        selenium.waitForPageToLoad("30000");
        assertFalse(selenium.isTextPresent("Pan Druhýk"));
        assertFalse(selenium.isTextPresent("Jana Nováková"));
        assertFalse(selenium.isTextPresent("dfad aaad (Org druha)"));
        assertFalse(selenium.isTextPresent("Prvník Novák (Organizace jedna)"));
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Evaluation periods");
        selenium.waitForPageToLoad("30000");
        selenium.select("id=period", "label=podzim 2011");
        selenium.waitForPageToLoad("30000");
        selenium.click("css=div.homePicture");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Form Pairs");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Pan Druhýk"));
        assertTrue(selenium.isTextPresent("Jana Nováková"));
        assertTrue(selenium.isTextPresent("dfad aaad (Org druha)"));
        assertTrue(selenium.isTextPresent("Prvník Novák (Organizace jedna)"));
        selenium.click("link=Back");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Feature Rates Statistics");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("85 %"));
        assertTrue(selenium.isTextPresent("53 %"));
        assertTrue(selenium.isTextPresent("100 %"));
        selenium.select("id=period", "label=jaro 2012");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("No data to display."));
        selenium.select("id=period", "label=all periods");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("85 %"));
        assertTrue(selenium.isTextPresent("53 %"));
        assertTrue(selenium.isTextPresent("100 %"));
        selenium.select("id=organization", "label=Organizace jedna");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("No data to display."));
        selenium.select("id=organization", "label=Org druha");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("85 %"));
        assertTrue(selenium.isTextPresent("53 %"));
        assertTrue(selenium.isTextPresent("100 %"));
        selenium.click("id=aggregate1");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("85 %"));
        assertTrue(selenium.isTextPresent("55 %"));
        assertTrue(selenium.isTextPresent("50 %"));
        assertTrue(selenium.isTextPresent("62 %"));
        assertTrue(selenium.isTextPresent("38 %"));
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        selenium.open("/evalIn/public/forms/7688b6ef52555962d008fff894223582c484517cea7da49ee67800adc7fc8866");
        selenium.click("link=8");
        selenium.click("xpath=(//a[contains(text(),'4')])[2]");
        selenium.click("xpath=(//a[contains(text(),'5')])[3]");
        selenium.click("css=input[type=\"submit\"]");
        selenium.waitForPageToLoad("30000");
        selenium.open("/evalIn");
        selenium.type("name=j_username", "xkucirk");
        selenium.type("name=j_password", "testik");
        selenium.click("name=submit");
        selenium.waitForPageToLoad("30000");
        selenium.click("link=Feature Rates Statistics");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("75 %"));
        assertTrue(selenium.isTextPresent("57 %"));
        assertTrue(selenium.isTextPresent("100 %"));
        selenium.click("id=aggregate1");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("75 %"));
        assertTrue(selenium.isTextPresent("60 %"));
        assertTrue(selenium.isTextPresent("50 %"));
        assertTrue(selenium.isTextPresent("86 %"));
        assertTrue(selenium.isTextPresent("14 %"));
        selenium.select("id=organization", "label=Organizace jedna");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("65 %"));
        assertTrue(selenium.isTextPresent("No data to display."));
        selenium.click("id=aggregate1");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("65 %"));
        assertTrue(selenium.isTextPresent("No data to display."));
        selenium.click("id=aggregate1");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("65 %"));
        assertTrue(selenium.isTextPresent("No data to display."));
        selenium.select("id=period", "label=all periods");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("65 %"));
        assertTrue(selenium.isTextPresent("No data to display."));
        selenium.select("id=organization", "label=Org druha");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("85 %"));
        assertTrue(selenium.isTextPresent("55 %"));
        assertTrue(selenium.isTextPresent("50 %"));
        assertTrue(selenium.isTextPresent("62 %"));
        assertTrue(selenium.isTextPresent("38 %"));
        selenium.click("link=Export to PDF");
        selenium.waitForPageToLoad("100000");
        selenium.open("/evalIn/rates/list");
        selenium.click("link=Logout");
        selenium.waitForPageToLoad("30000");
        assertTrue(selenium.isTextPresent("Logout successful."));
    }


    @After
    public void tearDown() throws Exception {
        selenium.stop();
    }
}
