package cz.muni.fi.test;

import cz.muni.fi.domain.Feature;
import cz.muni.fi.util.FeatureParentComparator;
import org.junit.Test;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import static junit.framework.Assert.assertEquals;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 25.1.12
 */
public class FeatureParentComparatorTest {
    @Test
    public void testCompare() throws Exception {
        Feature f1 = createSampleFeature();
        f1.setId(1L);
        Feature f2 = createSampleFeature();
        f2.setId(2L);
        Feature f3 = createSampleFeature();
        f3.setId(3L);
        Feature f4 = createSampleFeature();
        f4.setId(4L);
        Feature f5 = createSampleFeature();
        f5.setId(5L);
        Feature f6 = createSampleFeature();
        f6.setId(6L);
        Feature f7 = createSampleFeature();
        f7.setId(7L);
        Feature f8 = createSampleFeature();
        f8.setId(8L);
        Feature f9 = createSampleFeature();
        f9.setId(9L);
        f4.setParent(f3);
        f5.setParent(f3);
        f6.setParent(f3);
        f7.setParent(f9);
        f8.setParent(f9);
        List<Feature> list = Arrays.asList(f8,f1,f4,f2,f7,f6,f5);
        Collections.sort(list,new FeatureParentComparator());
        assertEquals(7,list.size());
        assertEquals(f1,list.get(0));
        assertEquals(f2,list.get(1));
        assertEquals(f4,list.get(2));
        assertEquals(f5,list.get(3));
        assertEquals(f6,list.get(4));
        assertEquals(f7,list.get(5));
        assertEquals(f8,list.get(6));
        list = Arrays.asList(f7,f4,f1,f2,f8,f6,f5);
        Collections.sort(list,new FeatureParentComparator());
        assertEquals(7,list.size());
        assertEquals(f1,list.get(0));
        assertEquals(f2,list.get(1));
        assertEquals(f4,list.get(2));
        assertEquals(f5,list.get(3));
        assertEquals(f6,list.get(4));
        assertEquals(f7,list.get(5));
        assertEquals(f8,list.get(6));
    }

    private Feature createSampleFeature() {
        Feature feature = new Feature();
        feature.setHint("hint");
        feature.setManagerQuestion("manager");
        feature.setStudentQuestion("student");
        feature.setName("name");
        return feature;
    }
}
