package cz.muni.fi.test;

import cz.muni.fi.util.HashGenerator;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;


/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 20.8.2011
 */
public class HashGeneratorTest {
    @Test
    public void testComputeHash() throws Exception {

        try {
            HashGenerator.computeHash((String) null);
            fail("can't compute has of null");
        } catch (IllegalArgumentException ex) {
            //OK
        }
        assertEquals("73475cb40a568e8da8a045ced110137e159f890ac4da883b6b17dc651b3a8049", HashGenerator.computeHash(42L));
        assertEquals("c775e7b757ede630cd0aa1113bd102661ab38829ca52a6422ab782862f268646", HashGenerator.computeHash(1234567890L));
        assertEquals("9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08", HashGenerator.computeHash("test"));
        assertEquals("8cb45cda9f6f4270e5d99bc48fdf9316a12cdad08cd6fb2f82d7d093a2fdb477", HashGenerator.computeHash("kukkuk"));

    }
}
